Magick++: Magick::Image Class Reference

Magick++ 7.1.0

Public Member Functions | List of all members
Magick::Image Class Reference

`#include <Image.h>`

## Public Member Functions
| Image (void)
| Image (const Blob &blob_)
| Image (const Blob &blob_, const Geometry &size_)
| Image (const Blob &blob_, const Geometry &size_, const size_t depth_)
| Image (const Blob &blob_, const Geometry &size_, const size_t depth_, const std::string &magick_)
| Image (const Blob &blob_, const Geometry &size_, const std::string &magick_)
| Image (const Geometry &size_, const Color &color_)
| Image (const Image &image_)
| Image (const Image &image_, const Geometry &geometry_)
| Image (const size_t width_, const size_t height_, const std::string &map_, const StorageType type_, const void *pixels_)
| Image (const std::string &imageSpec_)
virtual | ~Image ()
Image & | operator= (const Image &image_)
void | adjoin (const bool flag_)
bool | adjoin (void) const
void | alpha (const bool alphaFlag_)
bool | alpha (void) const
void | matteColor (const Color &matteColor_)
Color | matteColor (void) const
void | animationDelay (const size_t delay_)
size_t | animationDelay (void) const
void | animationIterations (const size_t iterations_)
size_t | animationIterations (void) const
void | backgroundColor (const Color &color_)
Color | backgroundColor (void) const
void | backgroundTexture (const std::string &backgroundTexture_)
std::string | backgroundTexture (void) const
size_t | baseColumns (void) const
std::string | baseFilename (void) const
size_t | baseRows (void) const
void | blackPointCompensation (const bool flag_)
bool | blackPointCompensation (void) const
void | borderColor (const Color &color_)
Color | borderColor (void) const
Geometry | boundingBox (void) const
void | boxColor (const Color &boxColor_)
Color | boxColor (void) const
void | channelDepth (const ChannelType channel_, const size_t depth_)
size_t | channelDepth (const ChannelType channel_)
size_t | channels () const
void | classType (const ClassType class_)
ClassType | classType (void) const
void | colorFuzz (const double fuzz_)
double | colorFuzz (void) const
void | colorMapSize (const size_t entries_)
size_t | colorMapSize (void) const
void | colorSpace (const ColorspaceType colorSpace_)
ColorspaceType | colorSpace (void) const
void | colorSpaceType (const ColorspaceType colorSpace_)
ColorspaceType | colorSpaceType (void) const
size_t | columns (void) const
void | comment (const std::string &comment_)
std::string | comment (void) const
void | compose (const CompositeOperator compose_)
CompositeOperator | compose (void) const
void | compressType (const CompressionType compressType_)
CompressionType | compressType (void) const
void | debug (const bool flag_)
bool | debug (void) const
void | density (const Point &density_)
Point | density (void) const
void | depth (const size_t depth_)
size_t | depth (void) const
std::string | directory (void) const
void | endian (const EndianType endian_)
EndianType | endian (void) const
void | exifProfile (const Blob &exifProfile_)
Blob | exifProfile (void) const
void | fileName (const std::string &fileName_)
std::string | fileName (void) const
MagickSizeType | fileSize (void) const
void | fillColor (const Color &fillColor_)
Color | fillColor (void) const
void | fillRule (const FillRule &fillRule_)
FillRule | fillRule (void) const
void | fillPattern (const Image &fillPattern_)
Image | fillPattern (void) const
void | filterType (const FilterType filterType_)
FilterType | filterType (void) const
void | font (const std::string &font_)
std::string | font (void) const
void | fontFamily (const std::string &family_)
std::string | fontFamily (void) const
void | fontPointsize (const double pointSize_)
double | fontPointsize (void) const
void | fontStyle (const StyleType style_)
StyleType | fontStyle (void) const
void | fontWeight (const size_t weight_)
size_t | fontWeight (void) const
std::string | format (void) const
std::string | formatExpression (const std::string expression)
double | gamma (void) const
Geometry | geometry (void) const
void | gifDisposeMethod (const DisposeType disposeMethod_)
DisposeType | gifDisposeMethod (void) const
bool | hasChannel (const PixelChannel channel) const
void | highlightColor (const Color color_)
void | iccColorProfile (const Blob &colorProfile_)
Blob | iccColorProfile (void) const
void | interlaceType (const InterlaceType interlace_)
InterlaceType | interlaceType (void) const
void | interpolate (const PixelInterpolateMethod interpolate_)
PixelInterpolateMethod | interpolate (void) const
void | iptcProfile (const Blob &iptcProfile_)
Blob | iptcProfile (void) const
bool | isOpaque (void) const
void | isValid (const bool isValid_)
bool | isValid (void) const
void | label (const std::string &label_)
std::string | label (void) const
void | lowlightColor (const Color color_)
void | magick (const std::string &magick_)
std::string | magick (void) const
void | masklightColor (const Color color_)
double | meanErrorPerPixel (void) const
void | modulusDepth (const size_t modulusDepth_)
size_t | modulusDepth (void) const
void | monochrome (const bool monochromeFlag_)
bool | monochrome (void) const
Geometry | montageGeometry (void) const
double | normalizedMaxError (void) const
double | normalizedMeanError (void) const
void | orientation (const OrientationType orientation_)
OrientationType | orientation (void) const
void | page (const Geometry &pageSize_)
Geometry | page (void) const
void | quality (const size_t quality_)
size_t | quality (void) const
void | quantizeColors (const size_t colors_)
size_t | quantizeColors (void) const
void | quantizeColorSpace (const ColorspaceType colorSpace_)
ColorspaceType | quantizeColorSpace (void) const
void | quantizeDither (const bool ditherFlag_)
bool | quantizeDither (void) const
void | quantizeDitherMethod (const DitherMethod ditherMethod_)
DitherMethod | quantizeDitherMethod (void) const
void | quantizeTreeDepth (const size_t treeDepth_)
size_t | quantizeTreeDepth (void) const
void | quiet (const bool quiet_)
bool | quiet (void) const
void | renderingIntent (const RenderingIntent renderingIntent_)
RenderingIntent | renderingIntent (void) const
void | resolutionUnits (const ResolutionType resolutionUnits_)
ResolutionType | resolutionUnits (void) const
size_t | rows (void) const
void | samplingFactor (const std::string &samplingFactor_)
std::string | samplingFactor (void) const
void | scene (const size_t scene_)
size_t | scene (void) const
void | size (const Geometry &geometry_)
Geometry | size (void) const
void | strokeAntiAlias (const bool flag_)
bool | strokeAntiAlias (void) const
void | strokeColor (const Color &strokeColor_)
Color | strokeColor (void) const
void | strokeDashArray (const double *strokeDashArray_)
const double * | strokeDashArray (void) const
void | strokeDashOffset (const double strokeDashOffset_)
double | strokeDashOffset (void) const
void | strokeLineCap (const LineCap lineCap_)
LineCap | strokeLineCap (void) const
void | strokeLineJoin (const LineJoin lineJoin_)
LineJoin | strokeLineJoin (void) const
void | strokeMiterLimit (const size_t miterLimit_)
size_t | strokeMiterLimit (void) const
void | strokePattern (const Image &strokePattern_)
Image | strokePattern (void) const
void | strokeWidth (const double strokeWidth_)
double | strokeWidth (void) const
void | subImage (const size_t subImage_)
size_t | subImage (void) const
void | subRange (const size_t subRange_)
size_t | subRange (void) const
void | textAntiAlias (const bool flag_)
bool | textAntiAlias (void) const
void | textDirection (DirectionType direction_)
DirectionType | textDirection () const
void | textEncoding (const std::string &encoding_)
std::string | textEncoding (void) const
void | textGravity (GravityType gravity_)
GravityType | textGravity () const
void | textInterlineSpacing (double spacing_)
double | textInterlineSpacing (void) const
void | textInterwordSpacing (double spacing_)
double | textInterwordSpacing (void) const
void | textKerning (double kerning_)
double | textKerning (void) const
void | textUnderColor (const Color &underColor_)
Color | textUnderColor (void) const
size_t | totalColors (void) const
void | transformRotation (const double angle_)
void | transformSkewX (const double skewx_)
void | transformSkewY (const double skewy_)
void | type (const ImageType type_)
ImageType | type (void) const
void | verbose (const bool verboseFlag_)
bool | verbose (void) const
void | virtualPixelMethod (const VirtualPixelMethod virtualPixelMethod_)
VirtualPixelMethod | virtualPixelMethod (void) const
void | x11Display (const std::string &display_)
std::string | x11Display (void) const
double | xResolution (void) const
double | yResolution (void) const
void | adaptiveBlur (const double radius_=0.0, const double sigma_=1.0)
void | adaptiveResize (const Geometry &geometry_)
void | adaptiveSharpen (const double radius_=0.0, const double sigma_=1.0)
void | adaptiveSharpenChannel (const ChannelType channel_, const double radius_=0.0, const double sigma_=1.0)
void | adaptiveThreshold (const size_t width_, const size_t height_, const double bias_=0.0)
void | addNoise (const NoiseType noiseType_, const double attenuate_=1.0)
void | addNoiseChannel (const ChannelType channel_, const NoiseType noiseType_, const double attenuate_=1.0)
void | affineTransform (const DrawableAffine &affine)
void | alpha (const unsigned int alpha_)
void | alphaChannel (AlphaChannelOption alphaOption_)
void | annotate (const std::string &text_, const Geometry &location_)
void | annotate (const std::string &text_, const Geometry &boundingArea_, const GravityType gravity_)
void | annotate (const std::string &text_, const Geometry &boundingArea_, const GravityType gravity_, const double degrees_)
void | annotate (const std::string &text_, const GravityType gravity_)
void | artifact (const std::string &name_, const std::string &value_)
std::string | artifact (const std::string &name_) const
void | attribute (const std::string name_, const char *value_)
void | attribute (const std::string name_, const std::string value_)
std::string | attribute (const std::string name_) const
void | autoGamma (void)
void | autoGammaChannel (const ChannelType channel_)
void | autoLevel (void)
void | autoLevelChannel (const ChannelType channel_)
void | autoOrient (void)
void | autoThreshold (const AutoThresholdMethod method_)
void | blackThreshold (const std::string &threshold_)
void | blackThresholdChannel (const ChannelType channel_, const std::string &threshold_)
void | blueShift (const double factor_=1.5)
void | blur (const double radius_=0.0, const double sigma_=1.0)
void | blurChannel (const ChannelType channel_, const double radius_=0.0, const double sigma_=1.0)
void | border (const Geometry &geometry_=borderGeometryDefault)
void | brightnessContrast (const double brightness_=0.0, const double contrast_=0.0)
void | brightnessContrastChannel (const ChannelType channel_, const double brightness_=0.0, const double contrast_=0.0)
void | cannyEdge (const double radius_=0.0, const double sigma_=1.0, const double lowerPercent_=0.1, const double upperPercent_=0.3)
void | cdl (const std::string &cdl_)
void | channel (const ChannelType channel_)
void | charcoal (const double radius_=0.0, const double sigma_=1.0)
void | charcoalChannel (const ChannelType channel_, const double radius_=0.0, const double sigma_=1.0)
void | chop (const Geometry &geometry_)
void | chromaBluePrimary (const double x_, const double y_, const double z_)
void | chromaBluePrimary (double *x_, double *y_, double *z_) const
void | chromaGreenPrimary (const double x_, const double y_, const double z_)
void | chromaGreenPrimary (double *x_, double *y_, double *z_) const
void | chromaRedPrimary (const double x_, const double y_, const double z_)
void | chromaRedPrimary (double *x_, double *y_, double *z_) const
void | chromaWhitePoint (const double x_, const double y_, const double z_)
void | chromaWhitePoint (double *x_, double *y_, double *z_) const
void | clamp (void)
void | clampChannel (const ChannelType channel_)
void | clip (void)
void | clipPath (const std::string pathname_, const bool inside_)
void | clut (const Image &clutImage_, const PixelInterpolateMethod method)
void | clutChannel (const ChannelType channel_, const Image &clutImage_, const PixelInterpolateMethod method)
void | colorize (const unsigned int alpha_, const Color &penColor_)
void | colorize (const unsigned int alphaRed_, const unsigned int alphaGreen_, const unsigned int alphaBlue_, const Color &penColor_)
void | colorMap (const size_t index_, const Color &color_)
Color | colorMap (const size_t index_) const
void | colorMatrix (const size_t order_, const double *color_matrix_)
bool | compare (const Image &reference_) const
double | compare (const Image &reference_, const MetricType metric_)
double | compareChannel (const ChannelType channel_, const Image &reference_, const MetricType metric_)
Image | compare (const Image &reference_, const MetricType metric_, double *distortion)
Image | compareChannel (const ChannelType channel_, const Image &reference_, const MetricType metric_, double *distortion)
void | composite (const Image &compositeImage_, const Geometry &offset_, const CompositeOperator compose_=InCompositeOp)
void | composite (const Image &compositeImage_, const GravityType gravity_, const CompositeOperator compose_=InCompositeOp)
void | composite (const Image &compositeImage_, const ::ssize_t xOffset_, const ::ssize_t yOffset_, const CompositeOperator compose_=InCompositeOp)
void | connectedComponents (const size_t connectivity_)
void | contrast (const bool sharpen_)
void | contrastStretch (const double blackPoint_, const double whitePoint_)
void | contrastStretchChannel (const ChannelType channel_, const double blackPoint_, const double whitePoint_)
void | convolve (const size_t order_, const double *kernel_)
void | copyPixels (const Image &source_, const Geometry &geometry_, const Offset &offset_)
void | crop (const Geometry &geometry_)
void | cycleColormap (const ::ssize_t amount_)
void | decipher (const std::string &passphrase_)
void | defineSet (const std::string &magick_, const std::string &key_, bool flag_)
bool | defineSet (const std::string &magick_, const std::string &key_) const
void | defineValue (const std::string &magick_, const std::string &key_, const std::string &value_)
std::string | defineValue (const std::string &magick_, const std::string &key_) const
void | deskew (const double threshold_)
void | despeckle (void)
void | display (void)
void | distort (const DistortMethod method_, const size_t numberArguments_, const double *arguments_, const bool bestfit_=false)
void | draw (const Drawable &drawable_)
void | draw (const std::vector< Magick::Drawable > &drawable_)
void | edge (const double radius_=0.0)
void | emboss (const double radius_=0.0, const double sigma_=1.0)
void | encipher (const std::string &passphrase_)
void | enhance (void)
void | equalize (void)
void | erase (void)
void | evaluate (const ChannelType channel_, const MagickEvaluateOperator operator_, double rvalue_)
void | evaluate (const ChannelType channel_, const MagickFunction function_, const size_t number_parameters_, const double *parameters_)
void | evaluate (const ChannelType channel_, const ::ssize_t x_, const ::ssize_t y_, const size_t columns_, const size_t rows_, const MagickEvaluateOperator operator_, const double rvalue_)
void | extent (const Geometry &geometry_)
void | extent (const Geometry &geometry_, const Color &backgroundColor)
void | extent (const Geometry &geometry_, const Color &backgroundColor, const GravityType gravity_)
void | extent (const Geometry &geometry_, const GravityType gravity_)
void | flip (void)
void | floodFillAlpha (const ::ssize_t x_, const ::ssize_t y_, const unsigned int alpha_, const bool invert_=false)
void | floodFillAlpha (const ssize_t x_, const ssize_t y_, const unsigned int alpha_, const Color &target_, const bool invert_=false)
void | floodFillColor (const Geometry &point_, const Color &fillColor_, const bool invert_=false)
void | floodFillColor (const ::ssize_t x_, const ::ssize_t y_, const Color &fillColor_, const bool invert_=false)
void | floodFillColor (const Geometry &point_, const Color &fillColor_, const Color &borderColor_, const bool invert_=false)
void | floodFillColor (const ::ssize_t x_, const ::ssize_t y_, const Color &fillColor_, const Color &borderColor_, const bool invert_=false)
void | floodFillTexture (const Geometry &point_, const Image &texture_, const bool invert_=false)
void | floodFillTexture (const ::ssize_t x_, const ::ssize_t y_, const Image &texture_, const bool invert_=false)
void | floodFillTexture (const Geometry &point_, const Image &texture_, const Color &borderColor_, const bool invert_=false)
void | floodFillTexture (const ::ssize_t x_, const ::ssize_t y_, const Image &texture_, const Color &borderColor_, const bool invert_=false)
void | flop (void)
void | fontTypeMetrics (const std::string &text_, TypeMetric *metrics)
void | fontTypeMetricsMultiline (const std::string &text_, TypeMetric *metrics)
void | frame (const Geometry &geometry_=frameGeometryDefault)
void | frame (const size_t width_, const size_t height_, const ::ssize_t innerBevel_=6, const ::ssize_t outerBevel_=6)
void | fx (const std::string expression_)
void | fx (const std::string expression_, const Magick::ChannelType channel_)
void | gamma (const double gamma_)
void | gamma (const double gammaRed_, const double gammaGreen_, const double gammaBlue_)
void | gaussianBlur (const double radius_, const double sigma_)
void | gaussianBlurChannel (const ChannelType channel_, const double radius_, const double sigma_)
const Quantum * | getConstPixels (const ::ssize_t x_, const ::ssize_t y_, const size_t columns_, const size_t rows_) const
const void * | getConstMetacontent (void) const
void * | getMetacontent (void)
Quantum * | getPixels (const ::ssize_t x_, const ::ssize_t y_, const size_t columns_, const size_t rows_)
void | grayscale (const PixelIntensityMethod method_)
void | haldClut (const Image &clutImage_)
void | houghLine (const size_t width_, const size_t height_, const size_t threshold_=40)
ImageType | identifyType (void) const
void | implode (const double factor_)
void | inverseFourierTransform (const Image &phase_)
void | inverseFourierTransform (const Image &phase_, const bool magnitude_)
void | kuwahara (const double radius_=0.0, const double sigma_=1.0)
void | kuwaharaChannel (const ChannelType channel_, const double radius_=0.0, const double sigma_=1.0)
void | level (const double blackPoint_, const double whitePoint_, const double gamma_=1.0)
void | levelChannel (const ChannelType channel_, const double blackPoint_, const double whitePoint_, const double gamma_=1.0)
void | levelColors (const Color &blackColor_, const Color &whiteColor_, const bool invert_=true)
void | levelColorsChannel (const ChannelType channel_, const Color &blackColor_, const Color &whiteColor_, const bool invert_=true)
void | levelize (const double blackPoint_, const double whitePoint_, const double gamma_=1.0)
void | levelizeChannel (const ChannelType channel_, const double blackPoint_, const double whitePoint_, const double gamma_=1.0)
void | linearStretch (const double blackPoint_, const double whitePoint_)
void | liquidRescale (const Geometry &geometry_)
void | localContrast (const double radius_, const double strength_)
void | localContrastChannel (const ChannelType channel_, const double radius_, const double strength_)
void | magnify (void)
void | map (const Image &mapImage_, const bool dither_=false)
void | meanShift (const size_t width_, const size_t height_, const double color_distance_)
void | medianFilter (const double radius_=0.0)
void | minify (void)
void | modulate (const double brightness_, const double saturation_, const double hue_)
ImageMoments | moments (void) const
void | morphology (const MorphologyMethod method_, const std::string kernel_, const ssize_t iterations_=1)
void | morphology (const MorphologyMethod method_, const KernelInfoType kernel_, const std::string arguments_, const ssize_t iterations_=1)
void | morphologyChannel (const ChannelType channel_, const MorphologyMethod method_, const std::string kernel_, const ssize_t iterations_=1)
void | morphologyChannel (const ChannelType channel_, const MorphologyMethod method_, const KernelInfoType kernel_, const std::string arguments_, const ssize_t iterations_=1)
void | motionBlur (const double radius_, const double sigma_, const double angle_)
void | negate (const bool grayscale_=false)
void | negateChannel (const ChannelType channel_, const bool grayscale_=false)
void | normalize (void)
void | oilPaint (const double radius_=0.0, const double sigma=1.0)
void | opaque (const Color &opaqueColor_, const Color &penColor_, const bool invert_=false)
void | orderedDither (std::string thresholdMap_)
void | orderedDitherChannel (const ChannelType channel_, std::string thresholdMap_)
void | perceptible (const double epsilon_)
void | perceptibleChannel (const ChannelType channel_, const double epsilon_)
Magick::ImagePerceptualHash | perceptualHash () const
void | ping (const std::string &imageSpec_)
void | ping (const Blob &blob_)
void | pixelColor (const ::ssize_t x_, const ::ssize_t y_, const Color &color_)
Color | pixelColor (const ::ssize_t x_, const ::ssize_t y_) const
void | polaroid (const std::string &caption_, const double angle_, const PixelInterpolateMethod method_)
void | posterize (const size_t levels_, const DitherMethod method_)
void | posterizeChannel (const ChannelType channel_, const size_t levels_, const DitherMethod method_)
void | process (std::string name_, const ::ssize_t argc_, const char **argv_)
void | profile (const std::string name_, const Blob &colorProfile_)
Blob | profile (const std::string name_) const
void | quantize (const bool measureError_=false)
void | raise (const Geometry &geometry_=raiseGeometryDefault, const bool raisedFlag_=false)
void | randomThreshold (const double low_, const double high_)
void | randomThresholdChannel (const ChannelType channel_, const double low_, const double high_)
void | read (const Blob &blob_)
void | read (const Blob &blob_, const Geometry &size_)
void | read (const Blob &blob_, const Geometry &size_, const size_t depth_)
void | read (const Blob &blob_, const Geometry &size_, const size_t depth_, const std::string &magick_)
void | read (const Blob &blob_, const Geometry &size_, const std::string &magick_)
void | read (const Geometry &size_, const std::string &imageSpec_)
void | read (const size_t width_, const size_t height_, const std::string &map_, const StorageType type_, const void *pixels_)
void | read (const std::string &imageSpec_)
void | readMask (const Image &mask_)
Image | readMask (void) const
void | readPixels (const QuantumType quantum_, const unsigned char *source_)
void | reduceNoise (void)
void | reduceNoise (const size_t order_)
void | repage ()
void | resample (const Point &density_)
void | resize (const Geometry &geometry_)
void | roll (const Geometry &roll_)
void | roll (const size_t columns_, const size_t rows_)
void | rotate (const double degrees_)
void | rotationalBlur (const double angle_)
void | rotationalBlurChannel (const ChannelType channel_, const double angle_)
void | sample (const Geometry &geometry_)
void | scale (const Geometry &geometry_)
void | segment (const double clusterThreshold_=1.0, const double smoothingThreshold_=1.5)
void | selectiveBlur (const double radius_, const double sigma_, const double threshold_)
void | selectiveBlurChannel (const ChannelType channel_, const double radius_, const double sigma_, const double threshold_)
Image | separate (const ChannelType channel_) const
void | sepiaTone (const double threshold_)
bool | setColorMetric (const Image &reference_)
Quantum * | setPixels (const ::ssize_t x_, const ::ssize_t y_, const size_t columns_, const size_t rows_)
void | shade (const double azimuth_=30, const double elevation_=30, const bool colorShading_=false)
void | shadow (const double percentAlpha_=80.0, const double sigma_=0.5, const ssize_t x_=5, const ssize_t y_=5)
void | sharpen (const double radius_=0.0, const double sigma_=1.0)
void | sharpenChannel (const ChannelType channel_, const double radius_=0.0, const double sigma_=1.0)
void | shave (const Geometry &geometry_)
void | shear (const double xShearAngle_, const double yShearAngle_)
void | sigmoidalContrast (const bool sharpen_, const double contrast, const double midpoint=QuantumRange/2.0)
std::string | signature (const bool force_=false) const
void | sketch (const double radius_=0.0, const double sigma_=1.0, const double angle_=0.0)
void | solarize (const double factor_=50.0)
void | sparseColor (const ChannelType channel_, const SparseColorMethod method_, const size_t numberArguments_, const double *arguments_)
void | splice (const Geometry &geometry_)
void | splice (const Geometry &geometry_, const Color &backgroundColor_)
void | splice (const Geometry &geometry_, const Color &backgroundColor_, const GravityType gravity_)
void | spread (const double amount_=3.0)
Magick::ImageStatistics | statistics () const
void | stegano (const Image &watermark_)
void | stereo (const Image &rightImage_)
void | strip (void)
Image | subImageSearch (const Image &reference_, const MetricType metric_, Geometry *offset_, double *similarityMetric_, const double similarityThreshold=(-1.0))
void | swirl (const double degrees_)
void | syncPixels (void)
void | texture (const Image &texture_)
void | threshold (const double threshold_)
void | thumbnail (const Geometry &geometry_)
void | tint (const std::string opacity_)
void | transformOrigin (const double x_, const double y_)
void | transformReset (void)
void | transformScale (const double sx_, const double sy_)
void | transparent (const Color &color_, const bool inverse_=false)
void | transparentChroma (const Color &colorLow_, const Color &colorHigh_)
void | transpose (void)
void | transverse (void)
void | trim (void)
Image | uniqueColors (void) const
void | unsharpmask (const double radius_, const double sigma_, const double amount_, const double threshold_)
void | unsharpmaskChannel (const ChannelType channel_, const double radius_, const double sigma_, const double amount_, const double threshold_)
void | vignette (const double radius_=0.0, const double sigma_=1.0, const ssize_t x_=0, const ssize_t y_=0)
void | wave (const double amplitude_=25.0, const double wavelength_=150.0)
void | waveletDenoise (const double threshold_, const double softness_)
void | whiteThreshold (const std::string &threshold_)
void | whiteThresholdChannel (const ChannelType channel_, const std::string &threshold_)
void | write (Blob *blob_)
void | write (Blob *blob_, const std::string &magick_)
void | write (Blob *blob_, const std::string &magick_, const size_t depth_)
void | write (const ::ssize_t x_, const ::ssize_t y_, const size_t columns_, const size_t rows_, const std::string &map_, const StorageType type_, void *pixels_)
void | write (const std::string &imageSpec_)
void | writeMask (const Image &mask_)
Image | writeMask (void) const
void | writePixels (const QuantumType quantum_, unsigned char *destination_)
void | zoom (const Geometry &geometry_)
| Image (MagickCore::Image *image_)
MagickCore::Image *& | image (void)
const MagickCore::Image * | constImage (void) const
MagickCore::ImageInfo * | imageInfo (void)
const MagickCore::ImageInfo * | constImageInfo (void) const
Options * | options (void)
const Options * | constOptions (void) const
MagickCore::QuantizeInfo * | quantizeInfo (void)
const MagickCore::QuantizeInfo * | constQuantizeInfo (void) const
void | modifyImage (void)
MagickCore::Image * | replaceImage (MagickCore::Image *replacement_)

## Detailed Description

Definition at line 55 of file Image.h.

## Constructor & Destructor Documentation

## ◆ Image() [1/12]

Magick::Image::Image | ( | void |  | ) |

Definition at line 79 of file Image.cpp.

## ◆ Image() [2/12]

Magick::Image::Image | ( | const Blob & | blob_ | ) |

Definition at line 84 of file Image.cpp.

References quiet(), and read().

## ◆ Image() [3/12]

Magick::Image::Image | ( | const Blob & | blob_,
|  | const Geometry & | size_
| ) |  |

Definition at line 102 of file Image.cpp.

References quiet(), and read().

## ◆ Image() [4/12]

Magick::Image::Image | ( | const Blob & | blob_,
|  | const Geometry & | size_,
|  | const size_t | depth_
| ) |  |

Definition at line 120 of file Image.cpp.

References quiet(), and read().

## ◆ Image() [5/12]

Magick::Image::Image | ( | const Blob & | blob_,
|  | const Geometry & | size_,
|  | const size_t | depth_,
|  | const std::string & | magick_
| ) |  |

Definition at line 139 of file Image.cpp.

References quiet(), and read().

## ◆ Image() [6/12]

Magick::Image::Image | ( | const Blob & | blob_,
|  | const Geometry & | size_,
|  | const std::string & | magick_
| ) |  |

Definition at line 158 of file Image.cpp.

References quiet(), and read().

## ◆ Image() [7/12]

Magick::Image::Image | ( | const Geometry & | size_,
|  | const Color & | color_
| ) |  |

Definition at line 177 of file Image.cpp.

References quiet(), read(), and size().

## ◆ Image() [8/12]

Magick::Image::Image | ( | const Image & | image_ | ) |

Definition at line 202 of file Image.cpp.

References Magick::ImageRef::increase().

## ◆ Image() [9/12]

Magick::Image::Image | ( | const Image & | image_,
|  | const Geometry & | geometry_
| ) |  |

Definition at line 208 of file Image.cpp.

References constImage(), constOptions(), geometry(), GetPPException, Magick::Geometry::height(), Magick::Image, image(), Magick::ImageRef::options(), replaceImage(), ThrowImageException, and Magick::Geometry::width().

## ◆ Image() [10/12]

Magick::Image::Image | ( | const size_t | width_,
|  | const size_t | height_,
|  | const std::string & | map_,
|  | const StorageType | type_,
|  | const void * | pixels_
| ) |  |

Definition at line 232 of file Image.cpp.

References quiet(), and read().

## ◆ Image() [11/12]

Magick::Image::Image | ( | const std::string & | imageSpec_ | ) |

Definition at line 250 of file Image.cpp.

References quiet(), and read().

## ◆ ~Image()

Magick::Image::~Image | ( |  | ) |
| virtual

Definition at line 268 of file Image.cpp.

## ◆ Image() [12/12]

Magick::Image::Image | ( | MagickCore::Image * | image_ | ) |

Definition at line 5019 of file Image.cpp.

## Member Function Documentation

## ◆ adaptiveBlur()

void Magick::Image::adaptiveBlur | ( | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`
| ) |  |

Definition at line 1724 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::adaptiveBlurImage::operator()().

## ◆ adaptiveResize()

void Magick::Image::adaptiveResize | ( | const Geometry & | geometry_ | ) |

Definition at line 1735 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ adaptiveSharpen()

void Magick::Image::adaptiveSharpen | ( | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`
| ) |  |

Definition at line 1757 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ adaptiveSharpenChannel()

void Magick::Image::adaptiveSharpenChannel | ( | const ChannelType | channel_,
|  | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`
| ) |  |

Definition at line 1768 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, Magick::Image, RestorePPChannelMask, and ThrowImageException.

## ◆ adaptiveThreshold()

void Magick::Image::adaptiveThreshold | ( | const size_t | width_,
|  | const size_t | height_,
|  | const double | bias_ = `0.0`
| ) |  |

Definition at line 1782 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::adaptiveThresholdImage::operator()().

## ◆ addNoise()

void Magick::Image::addNoise | ( | const NoiseType | noiseType_,
|  | const double | attenuate_ = `1.0`
| ) |  |

Definition at line 1796 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::addNoiseImage::operator()().

## ◆ addNoiseChannel()

void Magick::Image::addNoiseChannel | ( | const ChannelType | channel_,
|  | const NoiseType | noiseType_,
|  | const double | attenuate_ = `1.0`
| ) |  |

Definition at line 1807 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, Magick::Image, RestorePPChannelMask, and ThrowImageException.

Referenced by main().

## ◆ adjoin() [1/2]

void Magick::Image::adjoin | ( | const bool | flag_ | ) |

Definition at line 296 of file Image.cpp.

Referenced by Magick::adjoinImage::operator()().

## ◆ adjoin() [2/2]

bool Magick::Image::adjoin | ( | void |  | ) | const

Definition at line 302 of file Image.cpp.

## ◆ affineTransform()

void Magick::Image::affineTransform | ( | const DrawableAffine & | affine | ) |

Definition at line 1821 of file Image.cpp.

References GetPPException, Magick::Image, Magick::DrawableAffine::rx(), Magick::DrawableAffine::ry(), Magick::DrawableAffine::sx(), Magick::DrawableAffine::sy(), ThrowImageException, Magick::DrawableAffine::tx(), and Magick::DrawableAffine::ty().

Referenced by Magick::affineTransformImage::operator()().

## ◆ alpha() [1/3]

void Magick::Image::alpha | ( | const bool | alphaFlag_ | ) |

Definition at line 307 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by main(), Magick::alphaImage::operator()(), and Magick::alphaFlagImage::operator()().

## ◆ alpha() [2/3]

bool Magick::Image::alpha | ( | void |  | ) | const

Definition at line 323 of file Image.cpp.

## ◆ alpha() [3/3]

void Magick::Image::alpha | ( | const unsigned int | alpha_ | ) |

Definition at line 1842 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ alphaChannel()

void Magick::Image::alphaChannel | ( | AlphaChannelOption | alphaOption_ | ) |

Definition at line 1850 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ animationDelay() [1/2]

void Magick::Image::animationDelay | ( | const size_t | delay_ | ) |

Definition at line 354 of file Image.cpp.

Referenced by main(), and Magick::animationDelayImage::operator()().

## ◆ animationDelay() [2/2]

size_t Magick::Image::animationDelay | ( | void |  | ) | const

Definition at line 360 of file Image.cpp.

## ◆ animationIterations() [1/2]

void Magick::Image::animationIterations | ( | const size_t | iterations_ | ) |

Definition at line 365 of file Image.cpp.

Referenced by Magick::animationIterationsImage::operator()().

## ◆ animationIterations() [2/2]

size_t Magick::Image::animationIterations | ( | void |  | ) | const

Definition at line 371 of file Image.cpp.

## ◆ annotate() [1/4]

void Magick::Image::annotate | ( | const std::string & | text_,
|  | const Geometry & | location_
| ) |  |

Definition at line 1858 of file Image.cpp.

Referenced by main(), and Magick::annotateImage::operator()().

## ◆ annotate() [2/4]

void Magick::Image::annotate | ( | const std::string & | text_,
|  | const Geometry & | boundingArea_,
|  | const GravityType | gravity_
| ) |  |

Definition at line 1864 of file Image.cpp.

## ◆ annotate() [3/4]

void Magick::Image::annotate | ( | const std::string & | text_,
|  | const Geometry & | boundingArea_,
|  | const GravityType | gravity_,
|  | const double | degrees_
| ) |  |

Definition at line 1870 of file Image.cpp.

References DegreesToRadians, GetPPException, Magick::Geometry::height(), Magick::Geometry::isValid(), ThrowImageException, Magick::Geometry::width(), Magick::Geometry::xOff(), and Magick::Geometry::yOff().

## ◆ annotate() [4/4]

void Magick::Image::annotate | ( | const std::string & | text_,
|  | const GravityType | gravity_
| ) |  |

Definition at line 1946 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ artifact() [1/2]

void Magick::Image::artifact | ( | const std::string & | name_,
|  | const std::string & | value_
| ) |  |

Definition at line 1968 of file Image.cpp.

## ◆ artifact() [2/2]

std::string Magick::Image::artifact | ( | const std::string & | name_ | ) | const

Definition at line 1974 of file Image.cpp.

## ◆ attribute() [1/3]

void Magick::Image::attribute | ( | const std::string | name_,
|  | const char * | value_
| ) |  |

Definition at line 1985 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by main().

## ◆ attribute() [2/3]

void Magick::Image::attribute | ( | const std::string | name_,
|  | const std::string | value_
| ) |  |

Definition at line 1993 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ attribute() [3/3]

std::string Magick::Image::attribute | ( | const std::string | name_ | ) | const

Definition at line 2001 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ autoGamma()

void Magick::Image::autoGamma | ( | void |  | ) |

Definition at line 2016 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ autoGammaChannel()

void Magick::Image::autoGammaChannel | ( | const ChannelType | channel_ | ) |

Definition at line 2025 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, RestorePPChannelMask, and ThrowImageException.

## ◆ autoLevel()

void Magick::Image::autoLevel | ( | void |  | ) |

Definition at line 2036 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ autoLevelChannel()

void Magick::Image::autoLevelChannel | ( | const ChannelType | channel_ | ) |

Definition at line 2044 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, RestorePPChannelMask, and ThrowImageException.

## ◆ autoOrient()

void Magick::Image::autoOrient | ( | void |  | ) |

Definition at line 2054 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ autoThreshold()

void Magick::Image::autoThreshold | ( | const AutoThresholdMethod | method_ | ) |

Definition at line 2069 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ backgroundColor() [1/2]

void Magick::Image::backgroundColor | ( | const Color & | color_ | ) |

Definition at line 376 of file Image.cpp.

References Magick::Color, and Magick::Color::isValid().

Referenced by main(), and Magick::backgroundColorImage::operator()().

## ◆ backgroundColor() [2/2]

Magick::Color Magick::Image::backgroundColor | ( | void |  | ) | const

Definition at line 388 of file Image.cpp.

## ◆ backgroundTexture() [1/2]

void Magick::Image::backgroundTexture | ( | const std::string & | backgroundTexture_ | ) |

Definition at line 393 of file Image.cpp.

Referenced by Magick::backgroundTextureImage::operator()().

## ◆ backgroundTexture() [2/2]

std::string Magick::Image::backgroundTexture | ( | void |  | ) | const

Definition at line 399 of file Image.cpp.

## ◆ baseColumns()

size_t Magick::Image::baseColumns | ( | void |  | ) | const

Definition at line 404 of file Image.cpp.

## ◆ baseFilename()

std::string Magick::Image::baseFilename | ( | void |  | ) | const

Definition at line 409 of file Image.cpp.

## ◆ baseRows()

size_t Magick::Image::baseRows | ( | void |  | ) | const

Definition at line 414 of file Image.cpp.

## ◆ blackPointCompensation() [1/2]

void Magick::Image::blackPointCompensation | ( | const bool | flag_ | ) |

Definition at line 419 of file Image.cpp.

## ◆ blackPointCompensation() [2/2]

bool Magick::Image::blackPointCompensation | ( | void |  | ) | const

Definition at line 424 of file Image.cpp.

## ◆ blackThreshold()

void Magick::Image::blackThreshold | ( | const std::string & | threshold_ | ) |

Definition at line 2077 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ blackThresholdChannel()

void Magick::Image::blackThresholdChannel | ( | const ChannelType | channel_,
|  | const std::string & | threshold_
| ) |  |

Definition at line 2085 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, RestorePPChannelMask, and ThrowImageException.

## ◆ blueShift()

void Magick::Image::blueShift | ( | const double | factor_ = `1.5` | ) |

Definition at line 2096 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ blur()

void Magick::Image::blur | ( | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`
| ) |  |

Definition at line 2107 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::blurImage::operator()().

## ◆ blurChannel()

void Magick::Image::blurChannel | ( | const ChannelType | channel_,
|  | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`
| ) |  |

Definition at line 2118 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, Magick::Image, RestorePPChannelMask, and ThrowImageException.

Referenced by main().

## ◆ border()

void Magick::Image::border | ( | const Geometry & | geometry_ = `borderGeometryDefault` | ) |

Definition at line 2132 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::borderImage::operator()().

## ◆ borderColor() [1/2]

void Magick::Image::borderColor | ( | const Color & | color_ | ) |

Definition at line 429 of file Image.cpp.

References Magick::Color, and Magick::Color::isValid().

Referenced by main(), and Magick::borderColorImage::operator()().

## ◆ borderColor() [2/2]

Magick::Color Magick::Image::borderColor | ( | void |  | ) | const

Definition at line 441 of file Image.cpp.

## ◆ boundingBox()

Magick::Geometry Magick::Image::boundingBox | ( | void |  | ) | const

Definition at line 446 of file Image.cpp.

References Magick::Geometry, GetPPException, and ThrowImageException.

## ◆ boxColor() [1/2]

void Magick::Image::boxColor | ( | const Color & | boxColor_ | ) |

Definition at line 457 of file Image.cpp.

Referenced by main(), and Magick::boxColorImage::operator()().

## ◆ boxColor() [2/2]

Magick::Color Magick::Image::boxColor | ( | void |  | ) | const

Definition at line 463 of file Image.cpp.

## ◆ brightnessContrast()

void Magick::Image::brightnessContrast | ( | const double | brightness_ = `0.0`,
|  | const double | contrast_ = `0.0`
| ) |  |

Definition at line 2147 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ brightnessContrastChannel()

void Magick::Image::brightnessContrastChannel | ( | const ChannelType | channel_,
|  | const double | brightness_ = `0.0`,
|  | const double | contrast_ = `0.0`
| ) |  |

Definition at line 2156 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, RestorePPChannelMask, and ThrowImageException.

## ◆ cannyEdge()

void Magick::Image::cannyEdge | ( | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`,
|  | const double | lowerPercent_ = `0.1`,
|  | const double | upperPercent_ = `0.3`
| ) |  |

Definition at line 2167 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ cdl()

void Magick::Image::cdl | ( | const std::string & | cdl_ | ) |

Definition at line 2181 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by Magick::cdlImage::operator()().

## ◆ channel()

void Magick::Image::channel | ( | const ChannelType | channel_ | ) |

Definition at line 2189 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::channelImage::operator()().

## ◆ channelDepth() [1/2]

void Magick::Image::channelDepth | ( | const ChannelType | channel_,
|  | const size_t | depth_
| ) |  |

Definition at line 468 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, RestorePPChannelMask, and ThrowImageException.

## ◆ channelDepth() [2/2]

size_t Magick::Image::channelDepth | ( | const ChannelType | channel_ | ) |

Definition at line 479 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, RestorePPChannelMask, and ThrowImageException.

## ◆ channels()

size_t Magick::Image::channels | ( |  | ) | const

Definition at line 492 of file Image.cpp.

## ◆ charcoal()

void Magick::Image::charcoal | ( | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`
| ) |  |

Definition at line 2200 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::charcoalImage::operator()().

## ◆ charcoalChannel()

void Magick::Image::charcoalChannel | ( | const ChannelType | channel_,
|  | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`
| ) |  |

Definition at line 2211 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, Magick::Image, RestorePPChannelMask, and ThrowImageException.

## ◆ chop()

void Magick::Image::chop | ( | const Geometry & | geometry_ | ) |

Definition at line 2225 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::chopImage::operator()().

## ◆ chromaBluePrimary() [1/2]

void Magick::Image::chromaBluePrimary | ( | const double | x_,
|  | const double | y_,
|  | const double | z_
| ) |  |

Definition at line 2239 of file Image.cpp.

Referenced by Magick::chromaBluePrimaryImage::operator()().

## ◆ chromaBluePrimary() [2/2]

void Magick::Image::chromaBluePrimary | ( | double * | x_,
|  | double * | y_,
|  | double * | z_
| ) |  | const

Definition at line 2248 of file Image.cpp.

## ◆ chromaGreenPrimary() [1/2]

void Magick::Image::chromaGreenPrimary | ( | const double | x_,
|  | const double | y_,
|  | const double | z_
| ) |  |

Definition at line 2255 of file Image.cpp.

Referenced by Magick::chromaGreenPrimaryImage::operator()().

## ◆ chromaGreenPrimary() [2/2]

void Magick::Image::chromaGreenPrimary | ( | double * | x_,
|  | double * | y_,
|  | double * | z_
| ) |  | const

Definition at line 2264 of file Image.cpp.

## ◆ chromaRedPrimary() [1/2]

void Magick::Image::chromaRedPrimary | ( | const double | x_,
|  | const double | y_,
|  | const double | z_
| ) |  |

Definition at line 2271 of file Image.cpp.

Referenced by Magick::chromaRedPrimaryImage::operator()().

## ◆ chromaRedPrimary() [2/2]

void Magick::Image::chromaRedPrimary | ( | double * | x_,
|  | double * | y_,
|  | double * | z_
| ) |  | const

Definition at line 2280 of file Image.cpp.

## ◆ chromaWhitePoint() [1/2]

void Magick::Image::chromaWhitePoint | ( | const double | x_,
|  | const double | y_,
|  | const double | z_
| ) |  |

Definition at line 2287 of file Image.cpp.

Referenced by Magick::chromaWhitePointImage::operator()().

## ◆ chromaWhitePoint() [2/2]

void Magick::Image::chromaWhitePoint | ( | double * | x_,
|  | double * | y_,
|  | double * | z_
| ) |  | const

Definition at line 2296 of file Image.cpp.

## ◆ clamp()

void Magick::Image::clamp | ( | void |  | ) |

Definition at line 2303 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ clampChannel()

void Magick::Image::clampChannel | ( | const ChannelType | channel_ | ) |

Definition at line 2311 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, RestorePPChannelMask, and ThrowImageException.

## ◆ classType() [1/2]

void Magick::Image::classType | ( | const ClassType | class_ | ) |

Definition at line 497 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ classType() [2/2]

Magick::ClassType Magick::Image::classType | ( | void |  | ) | const

Definition at line 522 of file Image.cpp.

## ◆ clip()

void Magick::Image::clip | ( | void |  | ) |

Definition at line 2321 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ clipPath()

void Magick::Image::clipPath | ( | const std::string | pathname_,
|  | const bool | inside_
| ) |  |

Definition at line 2329 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ clut()

void Magick::Image::clut | ( | const Image & | clutImage_,
|  | const PixelInterpolateMethod | method
| ) |  |

Definition at line 2338 of file Image.cpp.

References constImage(), GetPPException, and ThrowImageException.

## ◆ clutChannel()

void Magick::Image::clutChannel | ( | const ChannelType | channel_,
|  | const Image & | clutImage_,
|  | const PixelInterpolateMethod | method
| ) |  |

Definition at line 2347 of file Image.cpp.

References constImage(), GetAndSetPPChannelMask, GetPPException, RestorePPChannelMask, and ThrowImageException.

## ◆ colorFuzz() [1/2]

void Magick::Image::colorFuzz | ( | const double | fuzz_ | ) |

Definition at line 527 of file Image.cpp.

Referenced by main(), and Magick::colorFuzzImage::operator()().

## ◆ colorFuzz() [2/2]

double Magick::Image::colorFuzz | ( | void |  | ) | const

Definition at line 534 of file Image.cpp.

## ◆ colorize() [1/2]

void Magick::Image::colorize | ( | const unsigned int | alpha_,
|  | const Color & | penColor_
| ) |  |

Definition at line 2358 of file Image.cpp.

Referenced by Magick::colorizeImage::operator()().

## ◆ colorize() [2/2]

void Magick::Image::colorize | ( | const unsigned int | alphaRed_,
|  | const unsigned int | alphaGreen_,
|  | const unsigned int | alphaBlue_,
|  | const Color & | penColor_
| ) |  |

Definition at line 2363 of file Image.cpp.

References GetPPException, Magick::Image, Magick::Color::isValid(), Magick::throwExceptionExplicit(), and ThrowImageException.

## ◆ colorMap() [1/2]

void Magick::Image::colorMap | ( | const size_t | index_,
|  | const Color & | color_
| ) |  |

Definition at line 2390 of file Image.cpp.

References Magick::Image, Magick::Color::isValid(), and Magick::throwExceptionExplicit().

Referenced by Magick::colorMapImage::operator()().

## ◆ colorMap() [2/2]

Magick::Color Magick::Image::colorMap | ( | const size_t | index_ | ) | const

Definition at line 2415 of file Image.cpp.

References Magick::Color, and Magick::throwExceptionExplicit().

## ◆ colorMapSize() [1/2]

void Magick::Image::colorMapSize | ( | const size_t | entries_ | ) |

Definition at line 539 of file Image.cpp.

References GetPPException, Magick::throwExceptionExplicit(), and ThrowImageException.

## ◆ colorMapSize() [2/2]

size_t Magick::Image::colorMapSize | ( | void |  | ) | const

Definition at line 551 of file Image.cpp.

References Magick::throwExceptionExplicit().

## ◆ colorMatrix()

void Magick::Image::colorMatrix | ( | const size_t | order_,
|  | const double * | color_matrix_
| ) |  |

Definition at line 2430 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::colorMatrixImage::operator()().

## ◆ colorSpace() [1/2]

void Magick::Image::colorSpace | ( | const ColorspaceType | colorSpace_ | ) |

Definition at line 560 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by Magick::colorSpaceImage::operator()().

## ◆ colorSpace() [2/2]

Magick::ColorspaceType Magick::Image::colorSpace | ( | void |  | ) | const

Definition at line 571 of file Image.cpp.

## ◆ colorSpaceType() [1/2]

void Magick::Image::colorSpaceType | ( | const ColorspaceType | colorSpace_ | ) |

Definition at line 576 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ colorSpaceType() [2/2]

Magick::ColorspaceType Magick::Image::colorSpaceType | ( | void |  | ) | const

Definition at line 585 of file Image.cpp.

## ◆ columns()

size_t Magick::Image::columns | ( | void |  | ) | const

Definition at line 590 of file Image.cpp.

Referenced by main(), Magick::operator<(), Magick::operator==(), and Magick::PixelData::PixelData().

## ◆ comment() [1/2]

void Magick::Image::comment | ( | const std::string & | comment_ | ) |

Definition at line 595 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by Magick::commentImage::operator()().

## ◆ comment() [2/2]

std::string Magick::Image::comment | ( | void |  | ) | const

Definition at line 605 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ compare() [1/3]

bool Magick::Image::compare | ( | const Image & | reference_ | ) | const

Definition at line 2459 of file Image.cpp.

References constImage(), GetPPException, and ThrowImageException.

## ◆ compare() [2/3]

double Magick::Image::compare | ( | const Image & | reference_,
|  | const MetricType | metric_
| ) |  |

Definition at line 2474 of file Image.cpp.

References constImage(), GetPPException, and ThrowImageException.

## ◆ compare() [3/3]

Magick::Image Magick::Image::compare | ( | const Image & | reference_,
|  | const MetricType | metric_,
|  | double * | distortion
| ) |  |

Definition at line 2501 of file Image.cpp.

References constImage(), GetPPException, Magick::Image, and ThrowImageException.

## ◆ compareChannel() [1/2]

double Magick::Image::compareChannel | ( | const ChannelType | channel_,
|  | const Image & | reference_,
|  | const MetricType | metric_
| ) |  |

Definition at line 2486 of file Image.cpp.

References constImage(), GetAndSetPPChannelMask, GetPPException, RestorePPChannelMask, and ThrowImageException.

## ◆ compareChannel() [2/2]

Magick::Image Magick::Image::compareChannel | ( | const ChannelType | channel_,
|  | const Image & | reference_,
|  | const MetricType | metric_,
|  | double * | distortion
| ) |  |

Definition at line 2517 of file Image.cpp.

References constImage(), GetAndSetPPChannelMask, GetPPException, Magick::Image, RestorePPChannelMask, and ThrowImageException.

## ◆ compose() [1/2]

void Magick::Image::compose | ( | const CompositeOperator | compose_ | ) |

Definition at line 620 of file Image.cpp.

Referenced by Magick::composeImage::operator()().

## ◆ compose() [2/2]

Magick::CompositeOperator Magick::Image::compose | ( | void |  | ) | const

Definition at line 625 of file Image.cpp.

## ◆ composite() [1/3]

void Magick::Image::composite | ( | const Image & | compositeImage_,
|  | const Geometry & | offset_,
|  | const CompositeOperator | compose_ = `InCompositeOp`
| ) |  |

Definition at line 2535 of file Image.cpp.

References constImage(), GetPPException, ThrowImageException, Magick::Geometry::xOff(), and Magick::Geometry::yOff().

Referenced by main(), and Magick::compositeImage::operator()().

## ◆ composite() [2/3]

void Magick::Image::composite | ( | const Image & | compositeImage_,
|  | const GravityType | gravity_,
|  | const CompositeOperator | compose_ = `InCompositeOp`
| ) |  |

Definition at line 2556 of file Image.cpp.

References constImage(), GetPPException, and ThrowImageException.

## ◆ composite() [3/3]

void Magick::Image::composite | ( | const Image & | compositeImage_,
|  | const ::ssize_t | xOffset_,
|  | const ::ssize_t | yOffset_,
|  | const CompositeOperator | compose_ = `InCompositeOp`
| ) |  |

## ◆ compressType() [1/2]

void Magick::Image::compressType | ( | const CompressionType | compressType_ | ) |

Definition at line 630 of file Image.cpp.

Referenced by main(), and Magick::compressTypeImage::operator()().

## ◆ compressType() [2/2]

Magick::CompressionType Magick::Image::compressType | ( | void |  | ) | const

Definition at line 637 of file Image.cpp.

## ◆ connectedComponents()

void Magick::Image::connectedComponents | ( | const size_t | connectivity_ | ) |

Definition at line 2585 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ constImage()

const MagickCore::Image * Magick::Image::constImage | ( | void |  | ) | const

Definition at line 5029 of file Image.cpp.

Referenced by Magick::artifactNames(), Magick::attributeNames(), clut(), clutChannel(), Magick::colorHistogram(), compare(), compareChannel(), composite(), copyPixels(), Magick::cropToTiles(), fillPattern(), Magick::forwardFourierTransformImage(), haldClut(), Image(), Magick::ImageMoments::ImageMoments(), Magick::ImagePerceptualHash::ImagePerceptualHash(), Magick::ImageStatistics::ImageStatistics(), inverseFourierTransform(), map(), Magick::mapImages(), Magick::profileNames(), Magick::separateImages(), setColorMetric(), stegano(), stereo(), strokePattern(), subImageSearch(), and texture().

## ◆ constImageInfo()

const MagickCore::ImageInfo * Magick::Image::constImageInfo | ( | void |  | ) | const

Definition at line 5039 of file Image.cpp.

## ◆ constOptions()

const Magick::Options * Magick::Image::constOptions | ( | void |  | ) | const

Definition at line 5049 of file Image.cpp.

Referenced by Image().

## ◆ constQuantizeInfo()

const MagickCore::QuantizeInfo * Magick::Image::constQuantizeInfo | ( | void |  | ) | const

Definition at line 5059 of file Image.cpp.

## ◆ contrast()

void Magick::Image::contrast | ( | const bool | sharpen_ | ) |

Definition at line 2597 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by main(), and Magick::contrastImage::operator()().

## ◆ contrastStretch()

void Magick::Image::contrastStretch | ( | const double | blackPoint_,
|  | const double | whitePoint_
| ) |  |

Definition at line 2605 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ contrastStretchChannel()

void Magick::Image::contrastStretchChannel | ( | const ChannelType | channel_,
|  | const double | blackPoint_,
|  | const double | whitePoint_
| ) |  |

Definition at line 2614 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, RestorePPChannelMask, and ThrowImageException.

## ◆ convolve()

void Magick::Image::convolve | ( | const size_t | order_,
|  | const double * | kernel_
| ) |  |

Definition at line 2625 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main().

## ◆ copyPixels()

void Magick::Image::copyPixels | ( | const Image & | source_,
|  | const Geometry & | geometry_,
|  | const Offset & | offset_
| ) |  |

Definition at line 2652 of file Image.cpp.

References constImage(), GetPPException, and ThrowImageException.

## ◆ crop()

void Magick::Image::crop | ( | const Geometry & | geometry_ | ) |

Definition at line 2667 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::cropImage::operator()().

## ◆ cycleColormap()

void Magick::Image::cycleColormap | ( | const ::ssize_t | amount_ | ) |

Definition at line 2681 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by Magick::cycleColormapImage::operator()().

## ◆ debug() [1/2]

void Magick::Image::debug | ( | const bool | flag_ | ) |

Definition at line 642 of file Image.cpp.

## ◆ debug() [2/2]

bool Magick::Image::debug | ( | void |  | ) | const

Definition at line 648 of file Image.cpp.

## ◆ decipher()

void Magick::Image::decipher | ( | const std::string & | passphrase_ | ) |

Definition at line 2689 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ defineSet() [1/2]

void Magick::Image::defineSet | ( | const std::string & | magick_,
|  | const std::string & | key_,
|  | bool | flag_
| ) |  |

Definition at line 2697 of file Image.cpp.

## ◆ defineSet() [2/2]

bool Magick::Image::defineSet | ( | const std::string & | magick_,
|  | const std::string & | key_
| ) |  | const

Definition at line 2711 of file Image.cpp.

## ◆ defineValue() [1/2]

void Magick::Image::defineValue | ( | const std::string & | magick_,
|  | const std::string & | key_,
|  | const std::string & | value_
| ) |  |

Definition at line 2727 of file Image.cpp.

## ◆ defineValue() [2/2]

std::string Magick::Image::defineValue | ( | const std::string & | magick_,
|  | const std::string & | key_
| ) |  | const

Definition at line 2740 of file Image.cpp.

## ◆ density() [1/2]

void Magick::Image::density | ( | const Point & | density_ | ) |

Definition at line 653 of file Image.cpp.

References Magick::Point::isValid(), Magick::Point::x(), and Magick::Point::y().

Referenced by main(), and Magick::densityImage::operator()().

## ◆ density() [2/2]

Magick::Point Magick::Image::density | ( | void |  | ) | const

Definition at line 673 of file Image.cpp.

References Magick::Point, and Magick::Point::x().

## ◆ depth() [1/2]

void Magick::Image::depth | ( | const size_t | depth_ | ) |

Definition at line 693 of file Image.cpp.

Referenced by main(), and Magick::depthImage::operator()().

## ◆ depth() [2/2]

size_t Magick::Image::depth | ( | void |  | ) | const

Definition at line 700 of file Image.cpp.

## ◆ deskew()

void Magick::Image::deskew | ( | const double | threshold_ | ) |

Definition at line 2756 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ despeckle()

void Magick::Image::despeckle | ( | void |  | ) |

Definition at line 2767 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::despeckleImage::operator()().

## ◆ directory()

std::string Magick::Image::directory | ( | void |  | ) | const

Definition at line 705 of file Image.cpp.

References Magick::throwExceptionExplicit().

## ◆ display()

void Magick::Image::display | ( | void |  | ) |

Definition at line 2778 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ distort()

void Magick::Image::distort | ( | const DistortMethod | method_,
|  | const size_t | numberArguments_,
|  | const double * | arguments_,
|  | const bool | bestfit_ = `false`
| ) |  |

Definition at line 2785 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::distortImage::operator()().

## ◆ draw() [1/2]

void Magick::Image::draw | ( | const Drawable & | drawable_ | ) |

Definition at line 2798 of file Image.cpp.

References ClonePPDrawException, and ThrowPPDrawException.

Referenced by main(), and Magick::drawImage::operator()().

## ◆ draw() [2/2]

void Magick::Image::draw | ( | const std::vector< Magick::Drawable > & | drawable_ | ) |

Definition at line 2819 of file Image.cpp.

References ClonePPDrawException, and ThrowPPDrawException.

## ◆ edge()

void Magick::Image::edge | ( | const double | radius_ = `0.0` | ) |

Definition at line 2847 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::edgeImage::operator()().

## ◆ emboss()

void Magick::Image::emboss | ( | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`
| ) |  |

Definition at line 2858 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::embossImage::operator()().

## ◆ encipher()

void Magick::Image::encipher | ( | const std::string & | passphrase_ | ) |

Definition at line 2869 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ endian() [1/2]

void Magick::Image::endian | ( | const EndianType | endian_ | ) |

Definition at line 717 of file Image.cpp.

Referenced by Magick::endianImage::operator()().

## ◆ endian() [2/2]

Magick::EndianType Magick::Image::endian | ( | void |  | ) | const

Definition at line 724 of file Image.cpp.

## ◆ enhance()

void Magick::Image::enhance | ( | void |  | ) |

Definition at line 2877 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::enhanceImage::operator()().

## ◆ equalize()

void Magick::Image::equalize | ( | void |  | ) |

Definition at line 2888 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by main(), and Magick::equalizeImage::operator()().

## ◆ erase()

void Magick::Image::erase | ( | void |  | ) |

Definition at line 2896 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ evaluate() [1/3]

void Magick::Image::evaluate | ( | const ChannelType | channel_,
|  | const MagickEvaluateOperator | operator_,
|  | double | rvalue_
| ) |  |

Definition at line 2904 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, RestorePPChannelMask, and ThrowImageException.

Referenced by main().

## ◆ evaluate() [2/3]

void Magick::Image::evaluate | ( | const ChannelType | channel_,
|  | const MagickFunction | function_,
|  | const size_t | number_parameters_,
|  | const double * | parameters_
| ) |  |

Definition at line 2914 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, RestorePPChannelMask, and ThrowImageException.

## ◆ evaluate() [3/3]

void Magick::Image::evaluate | ( | const ChannelType | channel_,
|  | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const size_t | columns_,
|  | const size_t | rows_,
|  | const MagickEvaluateOperator | operator_,
|  | const double | rvalue_
| ) |  |

## ◆ exifProfile() [1/2]

void Magick::Image::exifProfile | ( | const Blob & | exifProfile_ | ) |

Definition at line 729 of file Image.cpp.

References Magick::Blob::data(), GetPPException, Magick::Blob::length(), and ThrowImageException.

## ◆ exifProfile() [2/2]

Magick::Blob Magick::Image::exifProfile | ( | void |  | ) | const

Definition at line 747 of file Image.cpp.

## ◆ extent() [1/4]

void Magick::Image::extent | ( | const Geometry & | geometry_ | ) |

Definition at line 2953 of file Image.cpp.

References GetPPException, Magick::Image, ThrowImageException, Magick::Geometry::xOff(), and Magick::Geometry::yOff().

## ◆ extent() [2/4]

void Magick::Image::extent | ( | const Geometry & | geometry_,
|  | const Color & | backgroundColor
| ) |  |

Definition at line 2970 of file Image.cpp.

## ◆ extent() [3/4]

void Magick::Image::extent | ( | const Geometry & | geometry_,
|  | const Color & | backgroundColor,
|  | const GravityType | gravity_
| ) |  |

Definition at line 2977 of file Image.cpp.

## ◆ extent() [4/4]

void Magick::Image::extent | ( | const Geometry & | geometry_,
|  | const GravityType | gravity_
| ) |  |

Definition at line 2984 of file Image.cpp.

References Magick::Geometry::height(), and Magick::Geometry::width().

## ◆ fileName() [1/2]

void Magick::Image::fileName | ( | const std::string & | fileName_ | ) |

Definition at line 759 of file Image.cpp.

Referenced by Magick::fileNameImage::operator()().

## ◆ fileName() [2/2]

std::string Magick::Image::fileName | ( | void |  | ) | const

Definition at line 776 of file Image.cpp.

## ◆ fileSize()

MagickCore::MagickSizeType Magick::Image::fileSize | ( | void |  | ) | const

Definition at line 781 of file Image.cpp.

## ◆ fillColor() [1/2]

void Magick::Image::fillColor | ( | const Color & | fillColor_ | ) |

Definition at line 786 of file Image.cpp.

Referenced by main(), and Magick::fillColorImage::operator()().

## ◆ fillColor() [2/2]

Magick::Color Magick::Image::fillColor | ( | void |  | ) | const

Definition at line 792 of file Image.cpp.

## ◆ fillPattern() [1/2]

void Magick::Image::fillPattern | ( | const Image & | fillPattern_ | ) |

Definition at line 808 of file Image.cpp.

References constImage(), and isValid().

Referenced by fillPattern(), and main().

## ◆ fillPattern() [2/2]

Magick::Image Magick::Image::fillPattern | ( | void |  | ) | const

Definition at line 817 of file Image.cpp.

References fillPattern(), GetPPException, Magick::Image, replaceImage(), and ThrowImageException.

## ◆ fillRule() [1/2]

void Magick::Image::fillRule | ( | const FillRule & | fillRule_ | ) |

Definition at line 797 of file Image.cpp.

## ◆ fillRule() [2/2]

Magick::FillRule Magick::Image::fillRule | ( | void |  | ) | const

Definition at line 803 of file Image.cpp.

## ◆ filterType() [1/2]

void Magick::Image::filterType | ( | const FilterType | filterType_ | ) |

Definition at line 841 of file Image.cpp.

Referenced by main(), and Magick::filterTypeImage::operator()().

## ◆ filterType() [2/2]

Magick::FilterType Magick::Image::filterType | ( | void |  | ) | const

Definition at line 847 of file Image.cpp.

## ◆ flip()

void Magick::Image::flip | ( | void |  | ) |

Definition at line 2997 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::flipImage::operator()().

## ◆ floodFillAlpha() [1/2]

void Magick::Image::floodFillAlpha | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const unsigned int | alpha_,
|  | const bool | invert_ = `false`
| ) |  |

Referenced by Magick::floodFillAlphaImage::operator()().

## ◆ floodFillAlpha() [2/2]

void Magick::Image::floodFillAlpha | ( | const ssize_t | x_,
|  | const ssize_t | y_,
|  | const unsigned int | alpha_,
|  | const Color & | target_,
|  | const bool | invert_ = `false`
| ) |  |

Definition at line 3026 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, RestorePPChannelMask, and ThrowImageException.

## ◆ floodFillColor() [1/4]

void Magick::Image::floodFillColor | ( | const Geometry & | point_,
|  | const Color & | fillColor_,
|  | const bool | invert_ = `false`
| ) |  |

Definition at line 3044 of file Image.cpp.

References Magick::Geometry::xOff(), and Magick::Geometry::yOff().

Referenced by main(), and Magick::floodFillColorImage::operator()().

## ◆ floodFillColor() [2/4]

void Magick::Image::floodFillColor | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const Color & | fillColor_,
|  | const bool | invert_ = `false`
| ) |  |

## ◆ floodFillColor() [3/4]

void Magick::Image::floodFillColor | ( | const Geometry & | point_,
|  | const Color & | fillColor_,
|  | const Color & | borderColor_,
|  | const bool | invert_ = `false`
| ) |  |

Definition at line 3062 of file Image.cpp.

References Magick::Geometry::xOff(), and Magick::Geometry::yOff().

## ◆ floodFillColor() [4/4]

void Magick::Image::floodFillColor | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const Color & | fillColor_,
|  | const Color & | borderColor_,
|  | const bool | invert_ = `false`
| ) |  |

## ◆ floodFillTexture() [1/4]

void Magick::Image::floodFillTexture | ( | const Geometry & | point_,
|  | const Image & | texture_,
|  | const bool | invert_ = `false`
| ) |  |

Definition at line 3082 of file Image.cpp.

References Magick::Geometry::xOff(), and Magick::Geometry::yOff().

Referenced by Magick::floodFillTextureImage::operator()().

## ◆ floodFillTexture() [2/4]

void Magick::Image::floodFillTexture | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const Image & | texture_,
|  | const bool | invert_ = `false`
| ) |  |

## ◆ floodFillTexture() [3/4]

void Magick::Image::floodFillTexture | ( | const Geometry & | point_,
|  | const Image & | texture_,
|  | const Color & | borderColor_,
|  | const bool | invert_ = `false`
| ) |  |

Definition at line 3100 of file Image.cpp.

References Magick::Geometry::xOff(), and Magick::Geometry::yOff().

## ◆ floodFillTexture() [4/4]

void Magick::Image::floodFillTexture | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const Image & | texture_,
|  | const Color & | borderColor_,
|  | const bool | invert_ = `false`
| ) |  |

## ◆ flop()

void Magick::Image::flop | ( | void |  | ) |

Definition at line 3120 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::flopImage::operator()().

## ◆ font() [1/2]

void Magick::Image::font | ( | const std::string & | font_ | ) |

Definition at line 852 of file Image.cpp.

Referenced by main(), and Magick::fontImage::operator()().

## ◆ font() [2/2]

std::string Magick::Image::font | ( | void |  | ) | const

Definition at line 858 of file Image.cpp.

## ◆ fontFamily() [1/2]

void Magick::Image::fontFamily | ( | const std::string & | family_ | ) |

Definition at line 863 of file Image.cpp.

## ◆ fontFamily() [2/2]

std::string Magick::Image::fontFamily | ( | void |  | ) | const

Definition at line 869 of file Image.cpp.

## ◆ fontPointsize() [1/2]

void Magick::Image::fontPointsize | ( | const double | pointSize_ | ) |

Definition at line 874 of file Image.cpp.

Referenced by main(), and Magick::fontPointsizeImage::operator()().

## ◆ fontPointsize() [2/2]

double Magick::Image::fontPointsize | ( | void |  | ) | const

Definition at line 880 of file Image.cpp.

## ◆ fontStyle() [1/2]

void Magick::Image::fontStyle | ( | const StyleType | style_ | ) |

Definition at line 885 of file Image.cpp.

## ◆ fontStyle() [2/2]

Magick::StyleType Magick::Image::fontStyle | ( | void |  | ) | const

Definition at line 891 of file Image.cpp.

## ◆ fontTypeMetrics()

void Magick::Image::fontTypeMetrics | ( | const std::string & | text_,
|  | TypeMetric * | metrics
| ) |  |

Definition at line 3131 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ fontTypeMetricsMultiline()

void Magick::Image::fontTypeMetricsMultiline | ( | const std::string & | text_,
|  | TypeMetric * | metrics
| ) |  |

Definition at line 3146 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ fontWeight() [1/2]

void Magick::Image::fontWeight | ( | const size_t | weight_ | ) |

Definition at line 896 of file Image.cpp.

## ◆ fontWeight() [2/2]

size_t Magick::Image::fontWeight | ( | void |  | ) | const

Definition at line 902 of file Image.cpp.

## ◆ format()

std::string Magick::Image::format | ( | void |  | ) | const

Definition at line 907 of file Image.cpp.

References GetPPException, Magick::throwExceptionExplicit(), and ThrowImageException.

## ◆ formatExpression()

std::string Magick::Image::formatExpression | ( | const std::string | expression | ) |

Definition at line 926 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ frame() [1/2]

void Magick::Image::frame | ( | const Geometry & | geometry_ = `frameGeometryDefault` | ) |

Definition at line 3162 of file Image.cpp.

References GetPPException, Magick::Geometry::height(), Magick::Image, ThrowImageException, Magick::Geometry::width(), Magick::Geometry::xOff(), and Magick::Geometry::yOff().

Referenced by main(), and Magick::frameImage::operator()().

## ◆ frame() [2/2]

void Magick::Image::frame | ( | const size_t | width_,
|  | const size_t | height_,
|  | const ::ssize_t | innerBevel_ = `6`,
|  | const ::ssize_t | outerBevel_ = `6`
| ) |  |

## ◆ fx() [1/2]

void Magick::Image::fx | ( | const std::string | expression_ | ) |

Definition at line 3205 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ fx() [2/2]

void Magick::Image::fx | ( | const std::string | expression_,
|  | const Magick::ChannelType | channel_
| ) |  |

Definition at line 3216 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, Magick::Image, RestorePPChannelMask, and ThrowImageException.

## ◆ gamma() [1/3]

double Magick::Image::gamma | ( | void |  | ) | const

Definition at line 947 of file Image.cpp.

Referenced by main(), and Magick::gammaImage::operator()().

## ◆ gamma() [2/3]

void Magick::Image::gamma | ( | const double | gamma_ | ) |

Definition at line 3230 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ gamma() [3/3]

void Magick::Image::gamma | ( | const double | gammaRed_,
|  | const double | gammaGreen_,
|  | const double | gammaBlue_
| ) |  |

Definition at line 3238 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, RestorePPChannelMask, SetPPChannelMask, and ThrowImageException.

## ◆ gaussianBlur()

void Magick::Image::gaussianBlur | ( | const double | radius_,
|  | const double | sigma_
| ) |  |

Definition at line 3253 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::gaussianBlurImage::operator()().

## ◆ gaussianBlurChannel()

void Magick::Image::gaussianBlurChannel | ( | const ChannelType | channel_,
|  | const double | radius_,
|  | const double | sigma_
| ) |  |

Definition at line 3264 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, Magick::Image, RestorePPChannelMask, and ThrowImageException.

Referenced by main().

## ◆ geometry()

Magick::Geometry Magick::Image::geometry | ( | void |  | ) | const

Definition at line 952 of file Image.cpp.

References Magick::Geometry, and Magick::throwExceptionExplicit().

Referenced by Image().

## ◆ getConstMetacontent()

const void * Magick::Image::getConstMetacontent | ( | void |  | ) | const

Definition at line 3290 of file Image.cpp.

References Magick::throwExceptionExplicit().

## ◆ getConstPixels()

const Magick::Quantum * Magick::Image::getConstPixels | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const size_t | columns_,
|  | const size_t | rows_
| ) |  | const

Definition at line 3278 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ getMetacontent()

void * Magick::Image::getMetacontent | ( | void |  | ) |

Definition at line 3304 of file Image.cpp.

References Magick::throwExceptionExplicit().

## ◆ getPixels()

Magick::Quantum * Magick::Image::getPixels | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const size_t | columns_,
|  | const size_t | rows_
| ) |  |

Definition at line 3318 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ gifDisposeMethod() [1/2]

void Magick::Image::gifDisposeMethod | ( | const DisposeType | disposeMethod_ | ) |

Referenced by Magick::gifDisposeMethodImage::operator()().

## ◆ gifDisposeMethod() [2/2]

MagickCore::DisposeType Magick::Image::gifDisposeMethod | ( | void |  | ) | const

Definition at line 971 of file Image.cpp.

## ◆ grayscale()

void Magick::Image::grayscale | ( | const PixelIntensityMethod | method_ | ) |

Definition at line 3332 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ haldClut()

void Magick::Image::haldClut | ( | const Image & | clutImage_ | ) |

Definition at line 3340 of file Image.cpp.

References constImage(), GetPPException, and ThrowImageException.

Referenced by Magick::haldClutImage::operator()().

## ◆ hasChannel()

bool Magick::Image::hasChannel | ( | const PixelChannel | channel | ) | const

Definition at line 976 of file Image.cpp.

## ◆ highlightColor()

void Magick::Image::highlightColor | ( | const Color | color_ | ) |

Definition at line 987 of file Image.cpp.

## ◆ houghLine()

void Magick::Image::houghLine | ( | const size_t | width_,
|  | const size_t | height_,
|  | const size_t | threshold_ = `40`
| ) |  |

Definition at line 3348 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ iccColorProfile() [1/2]

void Magick::Image::iccColorProfile | ( | const Blob & | colorProfile_ | ) |

Definition at line 996 of file Image.cpp.

## ◆ iccColorProfile() [2/2]

Magick::Blob Magick::Image::iccColorProfile | ( | void |  | ) | const

Definition at line 1001 of file Image.cpp.

## ◆ identifyType()

Magick::ImageType Magick::Image::identifyType | ( | void |  | ) | const

Definition at line 3361 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ image()

MagickCore::Image *& Magick::Image::image | ( | void |  | ) |

Definition at line 5024 of file Image.cpp.

Referenced by Image(), Magick::Pixels::Pixels(), and Magick::separateImages().

## ◆ imageInfo()

MagickCore::ImageInfo * Magick::Image::imageInfo | ( | void |  | ) |

Definition at line 5034 of file Image.cpp.

## ◆ implode()

void Magick::Image::implode | ( | const double | factor_ | ) |

Definition at line 3372 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::implodeImage::operator()().

## ◆ interlaceType() [1/2]

void Magick::Image::interlaceType | ( | const InterlaceType | interlace_ | ) |

Definition at line 1013 of file Image.cpp.

Referenced by Magick::interlaceTypeImage::operator()().

## ◆ interlaceType() [2/2]

Magick::InterlaceType Magick::Image::interlaceType | ( | void |  | ) | const

Definition at line 1020 of file Image.cpp.

## ◆ interpolate() [1/2]

void Magick::Image::interpolate | ( | const PixelInterpolateMethod | interpolate_ | ) |

Definition at line 1025 of file Image.cpp.

## ◆ interpolate() [2/2]

Magick::PixelInterpolateMethod Magick::Image::interpolate | ( | void |  | ) | const

Definition at line 1031 of file Image.cpp.

## ◆ inverseFourierTransform() [1/2]

void Magick::Image::inverseFourierTransform | ( | const Image & | phase_ | ) |

Definition at line 3384 of file Image.cpp.

Referenced by Magick::inverseFourierTransformImage::operator()().

## ◆ inverseFourierTransform() [2/2]

void Magick::Image::inverseFourierTransform | ( | const Image & | phase_,
|  | const bool | magnitude_
| ) |  |

Definition at line 3389 of file Image.cpp.

References constImage(), GetPPException, Magick::Image, and ThrowImageException.

## ◆ iptcProfile() [1/2]

void Magick::Image::iptcProfile | ( | const Blob & | iptcProfile_ | ) |

Definition at line 1036 of file Image.cpp.

References Magick::Blob::data(), GetPPException, Magick::Blob::length(), and ThrowImageException.

## ◆ iptcProfile() [2/2]

Magick::Blob Magick::Image::iptcProfile | ( | void |  | ) | const

Definition at line 1053 of file Image.cpp.

## ◆ isOpaque()

bool Magick::Image::isOpaque | ( | void |  | ) | const

Definition at line 1065 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ isValid() [1/2]

void Magick::Image::isValid | ( | const bool | isValid_ | ) |

Definition at line 1076 of file Image.cpp.

References Magick::Geometry.

Referenced by fillPattern(), main(), Magick::mapImages(), Magick::isValidImage::operator()(), and strokePattern().

## ◆ isValid() [2/2]

bool Magick::Image::isValid | ( | void |  | ) | const

Definition at line 1092 of file Image.cpp.

## ◆ kuwahara()

void Magick::Image::kuwahara | ( | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`
| ) |  |

Definition at line 3402 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ kuwaharaChannel()

void Magick::Image::kuwaharaChannel | ( | const ChannelType | channel_,
|  | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`
| ) |  |

Definition at line 3413 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, Magick::Image, RestorePPChannelMask, and ThrowImageException.

## ◆ label() [1/2]

void Magick::Image::label | ( | const std::string & | label_ | ) |

Definition at line 1097 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by Magick::labelImage::operator()().

## ◆ label() [2/2]

std::string Magick::Image::label | ( | void |  | ) | const

Definition at line 1107 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ level()

void Magick::Image::level | ( | const double | blackPoint_,
|  | const double | whitePoint_,
|  | const double | gamma_ = `1.0`
| ) |  |

Definition at line 3427 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by main(), and Magick::levelImage::operator()().

## ◆ levelChannel()

void Magick::Image::levelChannel | ( | const ChannelType | channel_,
|  | const double | blackPoint_,
|  | const double | whitePoint_,
|  | const double | gamma_ = `1.0`
| ) |  |

Definition at line 3436 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, RestorePPChannelMask, and ThrowImageException.

Referenced by main().

## ◆ levelColors()

void Magick::Image::levelColors | ( | const Color & | blackColor_,
|  | const Color & | whiteColor_,
|  | const bool | invert_ = `true`
| ) |  |

Definition at line 3447 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ levelColorsChannel()

void Magick::Image::levelColorsChannel | ( | const ChannelType | channel_,
|  | const Color & | blackColor_,
|  | const Color & | whiteColor_,
|  | const bool | invert_ = `true`
| ) |  |

Definition at line 3464 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, RestorePPChannelMask, and ThrowImageException.

## ◆ levelize()

void Magick::Image::levelize | ( | const double | blackPoint_,
|  | const double | whitePoint_,
|  | const double | gamma_ = `1.0`
| ) |  |

Definition at line 3483 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ levelizeChannel()

void Magick::Image::levelizeChannel | ( | const ChannelType | channel_,
|  | const double | blackPoint_,
|  | const double | whitePoint_,
|  | const double | gamma_ = `1.0`
| ) |  |

Definition at line 3492 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, RestorePPChannelMask, and ThrowImageException.

## ◆ linearStretch()

void Magick::Image::linearStretch | ( | const double | blackPoint_,
|  | const double | whitePoint_
| ) |  |

Definition at line 3503 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ liquidRescale()

void Magick::Image::liquidRescale | ( | const Geometry & | geometry_ | ) |

Definition at line 3512 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ localContrast()

void Magick::Image::localContrast | ( | const double | radius_,
|  | const double | strength_
| ) |  |

Definition at line 3534 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ localContrastChannel()

void Magick::Image::localContrastChannel | ( | const ChannelType | channel_,
|  | const double | radius_,
|  | const double | strength_
| ) |  |

Definition at line 3545 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, Magick::Image, RestorePPChannelMask, and ThrowImageException.

## ◆ lowlightColor()

void Magick::Image::lowlightColor | ( | const Color | color_ | ) |

Definition at line 1122 of file Image.cpp.

## ◆ magick() [1/2]

void Magick::Image::magick | ( | const std::string & | magick_ | ) |

Definition at line 1131 of file Image.cpp.

Referenced by Magick::magickImage::operator()().

## ◆ magick() [2/2]

std::string Magick::Image::magick | ( | void |  | ) | const

Definition at line 1149 of file Image.cpp.

## ◆ magnify()

void Magick::Image::magnify | ( | void |  | ) |

Definition at line 3559 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::magnifyImage::operator()().

## ◆ map()

void Magick::Image::map | ( | const Image & | mapImage_,
|  | const bool | dither_ = `false`
| ) |  |

Definition at line 3570 of file Image.cpp.

References constImage(), GetPPException, and ThrowImageException.

Referenced by Magick::mapImage::operator()().

## ◆ masklightColor()

void Magick::Image::masklightColor | ( | const Color | color_ | ) |

Definition at line 1157 of file Image.cpp.

## ◆ matteColor() [1/2]

void Magick::Image::matteColor | ( | const Color & | matteColor_ | ) |

Definition at line 331 of file Image.cpp.

References Magick::Color::isValid().

Referenced by Magick::matteColorImage::operator()().

## ◆ matteColor() [2/2]

Magick::Color Magick::Image::matteColor | ( | void |  | ) | const

Definition at line 349 of file Image.cpp.

References Magick::Color.

## ◆ meanErrorPerPixel()

double Magick::Image::meanErrorPerPixel | ( | void |  | ) | const

Definition at line 1166 of file Image.cpp.

## ◆ meanShift()

void Magick::Image::meanShift | ( | const size_t | width_,
|  | const size_t | height_,
|  | const double | color_distance_
| ) |  |

Definition at line 3580 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ medianFilter()

void Magick::Image::medianFilter | ( | const double | radius_ = `0.0` | ) |

Definition at line 3593 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::medianConvolveImage::operator()().

## ◆ minify()

void Magick::Image::minify | ( | void |  | ) |

Definition at line 3605 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::minifyImage::operator()().

## ◆ modifyImage()

void Magick::Image::modifyImage | ( | void |  | ) |

Definition at line 5064 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ modulate()

void Magick::Image::modulate | ( | const double | brightness_,
|  | const double | saturation_,
|  | const double | hue_
| ) |  |

Definition at line 3616 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by main(), and Magick::modulateImage::operator()().

## ◆ modulusDepth() [1/2]

void Magick::Image::modulusDepth | ( | const size_t | modulusDepth_ | ) |

Definition at line 1171 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ modulusDepth() [2/2]

size_t Magick::Image::modulusDepth | ( | void |  | ) | const

Definition at line 1180 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ moments()

Magick::ImageMoments Magick::Image::moments | ( | void |  | ) | const

Definition at line 3631 of file Image.cpp.

## ◆ monochrome() [1/2]

void Magick::Image::monochrome | ( | const bool | monochromeFlag_ | ) |

Definition at line 1191 of file Image.cpp.

Referenced by Magick::monochromeImage::operator()().

## ◆ monochrome() [2/2]

bool Magick::Image::monochrome | ( | void |  | ) | const

Definition at line 1197 of file Image.cpp.

## ◆ montageGeometry()

Magick::Geometry Magick::Image::montageGeometry | ( | void |  | ) | const

Definition at line 1202 of file Image.cpp.

References Magick::Geometry, and Magick::throwExceptionExplicit().

## ◆ morphology() [1/2]

void Magick::Image::morphology | ( | const MorphologyMethod | method_,
|  | const std::string | kernel_,
|  | const ssize_t | iterations_ = `1`
| ) |  |

Definition at line 3636 of file Image.cpp.

References GetPPException, Magick::Image, Magick::throwExceptionExplicit(), and ThrowImageException.

## ◆ morphology() [2/2]

void Magick::Image::morphology | ( | const MorphologyMethod | method_,
|  | const KernelInfoType | kernel_,
|  | const std::string | arguments_,
|  | const ssize_t | iterations_ = `1`
| ) |  |

Definition at line 3656 of file Image.cpp.

References Magick::throwExceptionExplicit().

## ◆ morphologyChannel() [1/2]

void Magick::Image::morphologyChannel | ( | const ChannelType | channel_,
|  | const MorphologyMethod | method_,
|  | const std::string | kernel_,
|  | const ssize_t | iterations_ = `1`
| ) |  |

Definition at line 3680 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, Magick::Image, RestorePPChannelMask, Magick::throwExceptionExplicit(), and ThrowImageException.

## ◆ morphologyChannel() [2/2]

void Magick::Image::morphologyChannel | ( | const ChannelType | channel_,
|  | const MorphologyMethod | method_,
|  | const KernelInfoType | kernel_,
|  | const std::string | arguments_,
|  | const ssize_t | iterations_ = `1`
| ) |  |

Definition at line 3708 of file Image.cpp.

References Magick::throwExceptionExplicit().

## ◆ motionBlur()

void Magick::Image::motionBlur | ( | const double | radius_,
|  | const double | sigma_,
|  | const double | angle_
| ) |  |

Definition at line 3733 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main().

## ◆ negate()

void Magick::Image::negate | ( | const bool | grayscale_ = `false` | ) |

Definition at line 3745 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by main(), and Magick::negateImage::operator()().

## ◆ negateChannel()

void Magick::Image::negateChannel | ( | const ChannelType | channel_,
|  | const bool | grayscale_ = `false`
| ) |  |

Definition at line 3753 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, RestorePPChannelMask, and ThrowImageException.

## ◆ normalize()

void Magick::Image::normalize | ( | void |  | ) |

Definition at line 3764 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by main(), and Magick::normalizeImage::operator()().

## ◆ normalizedMaxError()

double Magick::Image::normalizedMaxError | ( | void |  | ) | const

Definition at line 1214 of file Image.cpp.

## ◆ normalizedMeanError()

double Magick::Image::normalizedMeanError | ( | void |  | ) | const

Definition at line 1219 of file Image.cpp.

## ◆ oilPaint()

void Magick::Image::oilPaint | ( | const double | radius_ = `0.0`,
|  | const double | sigma = `1.0`
| ) |  |

Definition at line 3772 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::oilPaintImage::operator()().

## ◆ opaque()

void Magick::Image::opaque | ( | const Color & | opaqueColor_,
|  | const Color & | penColor_,
|  | const bool | invert_ = `false`
| ) |  |

Definition at line 3783 of file Image.cpp.

References GetPPException, Magick::Color::isValid(), Magick::throwExceptionExplicit(), and ThrowImageException.

Referenced by Magick::opaqueImage::operator()().

## ◆ operator=()

Magick::Image & Magick::Image::operator= | ( | const Image & | image_ | ) |

Definition at line 282 of file Image.cpp.

References Magick::ImageRef::increase().

## ◆ options()

Magick::Options * Magick::Image::options | ( | void |  | ) |

Definition at line 5044 of file Image.cpp.

## ◆ orderedDither()

void Magick::Image::orderedDither | ( | std::string | thresholdMap_ | ) |

Definition at line 3816 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ orderedDitherChannel()

void Magick::Image::orderedDitherChannel | ( | const ChannelType | channel_,
|  | std::string | thresholdMap_
| ) |  |

Definition at line 3824 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, RestorePPChannelMask, and ThrowImageException.

## ◆ orientation() [1/2]

void Magick::Image::orientation | ( | const OrientationType | orientation_ | ) |

Definition at line 1224 of file Image.cpp.

## ◆ orientation() [2/2]

Magick::OrientationType Magick::Image::orientation | ( | void |  | ) | const

Definition at line 1230 of file Image.cpp.

## ◆ page() [1/2]

void Magick::Image::page | ( | const Geometry & | pageSize_ | ) |

Definition at line 1235 of file Image.cpp.

Referenced by Magick::pageImage::operator()().

## ◆ page() [2/2]

Magick::Geometry Magick::Image::page | ( | void |  | ) | const

Definition at line 1242 of file Image.cpp.

References Magick::Geometry.

## ◆ perceptible()

void Magick::Image::perceptible | ( | const double | epsilon_ | ) |

Definition at line 3835 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ perceptibleChannel()

void Magick::Image::perceptibleChannel | ( | const ChannelType | channel_,
|  | const double | epsilon_
| ) |  |

Definition at line 3843 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, RestorePPChannelMask, and ThrowImageException.

## ◆ perceptualHash()

Magick::ImagePerceptualHash Magick::Image::perceptualHash | ( |  | ) | const

Definition at line 3854 of file Image.cpp.

## ◆ ping() [1/2]

void Magick::Image::ping | ( | const std::string & | imageSpec_ | ) |

Definition at line 3859 of file Image.cpp.

References GetPPException, and Magick::Image.

## ◆ ping() [2/2]

void Magick::Image::ping | ( | const Blob & | blob_ | ) |

Definition at line 3870 of file Image.cpp.

References Magick::Blob::data(), GetPPException, Magick::Image, and Magick::Blob::length().

## ◆ pixelColor() [1/2]

void Magick::Image::pixelColor | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const Color & | color_
| ) |  |

Referenced by Magick::pixelColorImage::operator()().

## ◆ pixelColor() [2/2]

Color Magick::Image::pixelColor | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_
| ) |  | const

## ◆ polaroid()

void Magick::Image::polaroid | ( | const std::string & | caption_,
|  | const double | angle_,
|  | const PixelInterpolateMethod | method_
| ) |  |

Definition at line 3928 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ posterize()

void Magick::Image::posterize | ( | const size_t | levels_,
|  | const DitherMethod | method_
| ) |  |

Definition at line 3941 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ posterizeChannel()

void Magick::Image::posterizeChannel | ( | const ChannelType | channel_,
|  | const size_t | levels_,
|  | const DitherMethod | method_
| ) |  |

Definition at line 3949 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, RestorePPChannelMask, and ThrowImageException.

## ◆ process()

void Magick::Image::process | ( | std::string | name_,
|  | const ::ssize_t | argc_,
|  | const char ** | argv_
| ) |  |

Definition at line 3960 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by main().

## ◆ profile() [1/2]

void Magick::Image::profile | ( | const std::string | name_,
|  | const Blob & | colorProfile_
| ) |  |

Definition at line 3971 of file Image.cpp.

References Magick::Blob::data(), GetPPException, Magick::Blob::length(), and ThrowImageException.

## ◆ profile() [2/2]

Magick::Blob Magick::Image::profile | ( | const std::string | name_ | ) | const

Definition at line 3981 of file Image.cpp.

## ◆ quality() [1/2]

void Magick::Image::quality | ( | const size_t | quality_ | ) |

Definition at line 1248 of file Image.cpp.

Referenced by Magick::qualityImage::operator()().

## ◆ quality() [2/2]

size_t Magick::Image::quality | ( | void |  | ) | const

Definition at line 1255 of file Image.cpp.

## ◆ quantize()

void Magick::Image::quantize | ( | const bool | measureError_ = `false` | ) |

Definition at line 3994 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by main(), and Magick::quantizeImage::operator()().

## ◆ quantizeColors() [1/2]

void Magick::Image::quantizeColors | ( | const size_t | colors_ | ) |

Definition at line 1260 of file Image.cpp.

Referenced by main(), and Magick::quantizeColorsImage::operator()().

## ◆ quantizeColors() [2/2]

size_t Magick::Image::quantizeColors | ( | void |  | ) | const

Definition at line 1266 of file Image.cpp.

## ◆ quantizeColorSpace() [1/2]

void Magick::Image::quantizeColorSpace | ( | const ColorspaceType | colorSpace_ | ) |

Definition at line 1271 of file Image.cpp.

Referenced by main(), and Magick::quantizeColorSpaceImage::operator()().

## ◆ quantizeColorSpace() [2/2]

Magick::ColorspaceType Magick::Image::quantizeColorSpace | ( | void |  | ) | const

Definition at line 1278 of file Image.cpp.

## ◆ quantizeDither() [1/2]

void Magick::Image::quantizeDither | ( | const bool | ditherFlag_ | ) |

Definition at line 1283 of file Image.cpp.

Referenced by main(), and Magick::quantizeDitherImage::operator()().

## ◆ quantizeDither() [2/2]

bool Magick::Image::quantizeDither | ( | void |  | ) | const

Definition at line 1289 of file Image.cpp.

## ◆ quantizeDitherMethod() [1/2]

void Magick::Image::quantizeDitherMethod | ( | const DitherMethod | ditherMethod_ | ) |

Definition at line 1294 of file Image.cpp.

## ◆ quantizeDitherMethod() [2/2]

MagickCore::DitherMethod Magick::Image::quantizeDitherMethod | ( | void |  | ) | const

Definition at line 1300 of file Image.cpp.

## ◆ quantizeInfo()

MagickCore::QuantizeInfo * Magick::Image::quantizeInfo | ( | void |  | ) |

Definition at line 5054 of file Image.cpp.

## ◆ quantizeTreeDepth() [1/2]

void Magick::Image::quantizeTreeDepth | ( | const size_t | treeDepth_ | ) |

Definition at line 1305 of file Image.cpp.

Referenced by Magick::quantizeTreeDepthImage::operator()().

## ◆ quantizeTreeDepth() [2/2]

size_t Magick::Image::quantizeTreeDepth | ( | void |  | ) | const

Definition at line 1311 of file Image.cpp.

## ◆ quiet() [1/2]

void Magick::Image::quiet | ( | const bool | quiet_ | ) |

Definition at line 1316 of file Image.cpp.

Referenced by Magick::appendImages(), Magick::averageImages(), Magick::colorHistogram(), Magick::combineImages(), Magick::cropToTiles(), Magick::evaluateImages(), Magick::flattenImages(), Magick::forwardFourierTransformImage(), Magick::fxImages(), Magick::ImageMoments::ImageMoments(), Magick::ImagePerceptualHash::ImagePerceptualHash(), Magick::ImageStatistics::ImageStatistics(), Magick::mapImages(), Magick::mergeImageLayers(), Magick::mosaicImages(), Magick::Pixels::Pixels(), Magick::separateImages(), and Magick::smushImages().

## ◆ quiet() [2/2]

bool Magick::Image::quiet | ( | void |  | ) | const

Definition at line 1322 of file Image.cpp.

Referenced by Image().

## ◆ raise()

void Magick::Image::raise | ( | const Geometry & | geometry_ = `raiseGeometryDefault`,
|  | const bool | raisedFlag_ = `false`
| ) |  |

Definition at line 4008 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by main(), and Magick::raiseImage::operator()().

## ◆ randomThreshold()

void Magick::Image::randomThreshold | ( | const double | low_,
|  | const double | high_
| ) |  |

Definition at line 4020 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by main().

## ◆ randomThresholdChannel()

void Magick::Image::randomThresholdChannel | ( | const ChannelType | channel_,
|  | const double | low_,
|  | const double | high_
| ) |  |

Definition at line 4027 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, RestorePPChannelMask, and ThrowImageException.

Referenced by main().

## ◆ read() [1/8]

void Magick::Image::read | ( | const Blob & | blob_ | ) |

Definition at line 4038 of file Image.cpp.

References Magick::Blob::data(), GetPPException, Magick::Image, and Magick::Blob::length().

Referenced by Image(), and main().

## ◆ read() [2/8]

void Magick::Image::read | ( | const Blob & | blob_,
|  | const Geometry & | size_
| ) |  |

Definition at line 4049 of file Image.cpp.

## ◆ read() [3/8]

void Magick::Image::read | ( | const Blob & | blob_,
|  | const Geometry & | size_,
|  | const size_t | depth_
| ) |  |

Definition at line 4055 of file Image.cpp.

## ◆ read() [4/8]

void Magick::Image::read | ( | const Blob & | blob_,
|  | const Geometry & | size_,
|  | const size_t | depth_,
|  | const std::string & | magick_
| ) |  |

Definition at line 4063 of file Image.cpp.

## ◆ read() [5/8]

void Magick::Image::read | ( | const Blob & | blob_,
|  | const Geometry & | size_,
|  | const std::string & | magick_
| ) |  |

Definition at line 4074 of file Image.cpp.

## ◆ read() [6/8]

void Magick::Image::read | ( | const Geometry & | size_,
|  | const std::string & | imageSpec_
| ) |  |

Definition at line 4084 of file Image.cpp.

## ◆ read() [7/8]

void Magick::Image::read | ( | const size_t | width_,
|  | const size_t | height_,
|  | const std::string & | map_,
|  | const StorageType | type_,
|  | const void * | pixels_
| ) |  |

Definition at line 4090 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ read() [8/8]

void Magick::Image::read | ( | const std::string & | imageSpec_ | ) |

Definition at line 4103 of file Image.cpp.

References GetPPException, and Magick::Image.

## ◆ readMask() [1/2]

void Magick::Image::readMask | ( | const Image & | mask_ | ) |

Definition at line 4114 of file Image.cpp.

## ◆ readMask() [2/2]

Magick::Image Magick::Image::readMask | ( | void |  | ) | const

Definition at line 4119 of file Image.cpp.

## ◆ readPixels()

void Magick::Image::readPixels | ( | const QuantumType | quantum_,
|  | const unsigned char * | source_
| ) |  |

Definition at line 4124 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ reduceNoise() [1/2]

void Magick::Image::reduceNoise | ( | void |  | ) |

Definition at line 4138 of file Image.cpp.

Referenced by main(), and Magick::reduceNoiseImage::operator()().

## ◆ reduceNoise() [2/2]

void Magick::Image::reduceNoise | ( | const size_t | order_ | ) |

Definition at line 4143 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ renderingIntent() [1/2]

void Magick::Image::renderingIntent | ( | const RenderingIntent | renderingIntent_ | ) |

Definition at line 1327 of file Image.cpp.

Referenced by Magick::renderingIntentImage::operator()().

## ◆ renderingIntent() [2/2]

Magick::RenderingIntent Magick::Image::renderingIntent | ( | void |  | ) | const

Definition at line 1334 of file Image.cpp.

## ◆ repage()

void Magick::Image::repage | ( |  | ) |

Definition at line 4155 of file Image.cpp.

References Magick::Geometry.

## ◆ replaceImage()

MagickCore::Image * Magick::Image::replaceImage | ( | MagickCore::Image * | replacement_ | ) |

Definition at line 5074 of file Image.cpp.

References GetPPException, Magick::Image, Magick::ImageRef::replaceImage(), and ThrowImageException.

Referenced by Magick::appendImages(), Magick::averageImages(), Magick::combineImages(), Magick::evaluateImages(), fillPattern(), Magick::flattenImages(), Magick::fxImages(), Image(), Magick::mergeImageLayers(), Magick::mosaicImages(), Magick::smushImages(), and strokePattern().

## ◆ resample()

void Magick::Image::resample | ( | const Point & | density_ | ) |

Definition at line 4165 of file Image.cpp.

References GetPPException, Magick::Image, ThrowImageException, Magick::Point::x(), and Magick::Point::y().

## ◆ resize()

void Magick::Image::resize | ( | const Geometry & | geometry_ | ) |

Definition at line 4177 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::resizeImage::operator()().

## ◆ resolutionUnits() [1/2]

void Magick::Image::resolutionUnits | ( | const ResolutionType | resolutionUnits_ | ) |

Definition at line 1339 of file Image.cpp.

Referenced by Magick::resolutionUnitsImage::operator()().

## ◆ resolutionUnits() [2/2]

Magick::ResolutionType Magick::Image::resolutionUnits | ( | void |  | ) | const

Definition at line 1347 of file Image.cpp.

## ◆ roll() [1/2]

void Magick::Image::roll | ( | const Geometry & | roll_ | ) |

Definition at line 4202 of file Image.cpp.

References GetPPException, Magick::Image, ThrowImageException, Magick::Geometry::xOff(), and Magick::Geometry::yOff().

Referenced by main(), and Magick::rollImage::operator()().

## ◆ roll() [2/2]

void Magick::Image::roll | ( | const size_t | columns_,
|  | const size_t | rows_
| ) |  |

Definition at line 4213 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ rotate()

void Magick::Image::rotate | ( | const double | degrees_ | ) |

Definition at line 4225 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::rotateImage::operator()().

## ◆ rotationalBlur()

void Magick::Image::rotationalBlur | ( | const double | angle_ | ) |

Definition at line 4236 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ rotationalBlurChannel()

void Magick::Image::rotationalBlurChannel | ( | const ChannelType | channel_,
|  | const double | angle_
| ) |  |

Definition at line 4247 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, Magick::Image, RestorePPChannelMask, and ThrowImageException.

## ◆ rows()

size_t Magick::Image::rows | ( | void |  | ) | const

Definition at line 1352 of file Image.cpp.

Referenced by main(), Magick::operator<(), Magick::operator==(), and Magick::PixelData::PixelData().

## ◆ sample()

void Magick::Image::sample | ( | const Geometry & | geometry_ | ) |

Definition at line 4261 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::sampleImage::operator()().

## ◆ samplingFactor() [1/2]

void Magick::Image::samplingFactor | ( | const std::string & | samplingFactor_ | ) |

Definition at line 1357 of file Image.cpp.

## ◆ samplingFactor() [2/2]

std::string Magick::Image::samplingFactor | ( | void |  | ) | const

Definition at line 1363 of file Image.cpp.

## ◆ scale()

void Magick::Image::scale | ( | const Geometry & | geometry_ | ) |

Definition at line 4283 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::scaleImage::operator()().

## ◆ scene() [1/2]

void Magick::Image::scene | ( | const size_t | scene_ | ) |

Definition at line 1368 of file Image.cpp.

Referenced by Magick::sceneImage::operator()().

## ◆ scene() [2/2]

size_t Magick::Image::scene | ( | void |  | ) | const

Definition at line 1374 of file Image.cpp.

## ◆ segment()

void Magick::Image::segment | ( | const double | clusterThreshold_ = `1.0`,
|  | const double | smoothingThreshold_ = `1.5`
| ) |  |

Definition at line 4305 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by main(), and Magick::segmentImage::operator()().

## ◆ selectiveBlur()

void Magick::Image::selectiveBlur | ( | const double | radius_,
|  | const double | sigma_,
|  | const double | threshold_
| ) |  |

Definition at line 4317 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ selectiveBlurChannel()

void Magick::Image::selectiveBlurChannel | ( | const ChannelType | channel_,
|  | const double | radius_,
|  | const double | sigma_,
|  | const double | threshold_
| ) |  |

Definition at line 4330 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, Magick::Image, RestorePPChannelMask, and ThrowImageException.

## ◆ separate()

Magick::Image Magick::Image::separate | ( | const ChannelType | channel_ | ) | const

Definition at line 4345 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ sepiaTone()

void Magick::Image::sepiaTone | ( | const double | threshold_ | ) |

Definition at line 4359 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ setColorMetric()

bool Magick::Image::setColorMetric | ( | const Image & | reference_ | ) |

Definition at line 4370 of file Image.cpp.

References constImage(), GetPPException, and ThrowImageException.

## ◆ setPixels()

Magick::Quantum * Magick::Image::setPixels | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const size_t | columns_,
|  | const size_t | rows_
| ) |  |

Definition at line 4386 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ shade()

void Magick::Image::shade | ( | const double | azimuth_ = `30`,
|  | const double | elevation_ = `30`,
|  | const bool | colorShading_ = `false`
| ) |  |

Definition at line 4399 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::shadeImage::operator()().

## ◆ shadow()

void Magick::Image::shadow | ( | const double | percentAlpha_ = `80.0`,
|  | const double | sigma_ = `0.5`,
|  | const ssize_t | x_ = `5`,
|  | const ssize_t | y_ = `5`
| ) |  |

Definition at line 4412 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::shadowImage::operator()().

## ◆ sharpen()

void Magick::Image::sharpen | ( | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`
| ) |  |

Definition at line 4425 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::sharpenImage::operator()().

## ◆ sharpenChannel()

void Magick::Image::sharpenChannel | ( | const ChannelType | channel_,
|  | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`
| ) |  |

Definition at line 4436 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, Magick::Image, RestorePPChannelMask, and ThrowImageException.

## ◆ shave()

void Magick::Image::shave | ( | const Geometry & | geometry_ | ) |

Definition at line 4450 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::shaveImage::operator()().

## ◆ shear()

void Magick::Image::shear | ( | const double | xShearAngle_,
|  | const double | yShearAngle_
| ) |  |

Definition at line 4464 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::shearImage::operator()().

## ◆ sigmoidalContrast()

void Magick::Image::sigmoidalContrast | ( | const bool | sharpen_,
|  | const double | contrast,
|  | const double | midpoint = `QuantumRange/2.0`
| ) |  |

Definition at line 4475 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ signature()

std::string Magick::Image::signature | ( | const bool | force_ = `false` | ) | const

Definition at line 4485 of file Image.cpp.

Referenced by Magick::operator==().

## ◆ size() [1/2]

void Magick::Image::size | ( | const Geometry & | geometry_ | ) |

Definition at line 1379 of file Image.cpp.

References Magick::Geometry::height(), and Magick::Geometry::width().

Referenced by main(), and Magick::sizeImage::operator()().

## ◆ size() [2/2]

Magick::Geometry Magick::Image::size | ( | void |  | ) | const

Definition at line 1387 of file Image.cpp.

Referenced by Image().

## ◆ sketch()

void Magick::Image::sketch | ( | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`,
|  | const double | angle_ = `0.0`
| ) |  |

Definition at line 4490 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ solarize()

void Magick::Image::solarize | ( | const double | factor_ = `50.0` | ) |

Definition at line 4502 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by main(), and Magick::solarizeImage::operator()().

## ◆ sparseColor()

void Magick::Image::sparseColor | ( | const ChannelType | channel_,
|  | const SparseColorMethod | method_,
|  | const size_t | numberArguments_,
|  | const double * | arguments_
| ) |  |

Definition at line 4510 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, Magick::Image, RestorePPChannelMask, and ThrowImageException.

## ◆ splice() [1/3]

void Magick::Image::splice | ( | const Geometry & | geometry_ | ) |

Definition at line 4526 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::spliceImage::operator()().

## ◆ splice() [2/3]

void Magick::Image::splice | ( | const Geometry & | geometry_,
|  | const Color & | backgroundColor_
| ) |  |

Definition at line 4540 of file Image.cpp.

## ◆ splice() [3/3]

void Magick::Image::splice | ( | const Geometry & | geometry_,
|  | const Color & | backgroundColor_,
|  | const GravityType | gravity_
| ) |  |

Definition at line 4547 of file Image.cpp.

## ◆ spread()

void Magick::Image::spread | ( | const double | amount_ = `3.0` | ) |

Definition at line 4555 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::spreadImage::operator()().

## ◆ statistics()

Magick::ImageStatistics Magick::Image::statistics | ( |  | ) | const

Definition at line 4566 of file Image.cpp.

## ◆ stegano()

void Magick::Image::stegano | ( | const Image & | watermark_ | ) |

Definition at line 4571 of file Image.cpp.

References constImage(), GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::steganoImage::operator()().

## ◆ stereo()

void Magick::Image::stereo | ( | const Image & | rightImage_ | ) |

Definition at line 4582 of file Image.cpp.

References constImage(), GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::stereoImage::operator()().

## ◆ strip()

void Magick::Image::strip | ( | void |  | ) |

Definition at line 4593 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by Magick::stripImage::operator()().

## ◆ strokeAntiAlias() [1/2]

void Magick::Image::strokeAntiAlias | ( | const bool | flag_ | ) |

Definition at line 1392 of file Image.cpp.

## ◆ strokeAntiAlias() [2/2]

bool Magick::Image::strokeAntiAlias | ( | void |  | ) | const

Definition at line 1398 of file Image.cpp.

## ◆ strokeColor() [1/2]

void Magick::Image::strokeColor | ( | const Color & | strokeColor_ | ) |

Definition at line 1403 of file Image.cpp.

Referenced by main(), and Magick::strokeColorImage::operator()().

## ◆ strokeColor() [2/2]

Magick::Color Magick::Image::strokeColor | ( | void |  | ) | const

Definition at line 1414 of file Image.cpp.

## ◆ strokeDashArray() [1/2]

void Magick::Image::strokeDashArray | ( | const double * | strokeDashArray_ | ) |

Definition at line 1419 of file Image.cpp.

## ◆ strokeDashArray() [2/2]

const double * Magick::Image::strokeDashArray | ( | void |  | ) | const

Definition at line 1425 of file Image.cpp.

## ◆ strokeDashOffset() [1/2]

void Magick::Image::strokeDashOffset | ( | const double | strokeDashOffset_ | ) |

Definition at line 1430 of file Image.cpp.

## ◆ strokeDashOffset() [2/2]

double Magick::Image::strokeDashOffset | ( | void |  | ) | const

Definition at line 1436 of file Image.cpp.

## ◆ strokeLineCap() [1/2]

void Magick::Image::strokeLineCap | ( | const LineCap | lineCap_ | ) |

Definition at line 1441 of file Image.cpp.

## ◆ strokeLineCap() [2/2]

Magick::LineCap Magick::Image::strokeLineCap | ( | void |  | ) | const

Definition at line 1447 of file Image.cpp.

## ◆ strokeLineJoin() [1/2]

void Magick::Image::strokeLineJoin | ( | const LineJoin | lineJoin_ | ) |

Definition at line 1452 of file Image.cpp.

## ◆ strokeLineJoin() [2/2]

Magick::LineJoin Magick::Image::strokeLineJoin | ( | void |  | ) | const

Definition at line 1458 of file Image.cpp.

## ◆ strokeMiterLimit() [1/2]

void Magick::Image::strokeMiterLimit | ( | const size_t | miterLimit_ | ) |

Definition at line 1463 of file Image.cpp.

## ◆ strokeMiterLimit() [2/2]

size_t Magick::Image::strokeMiterLimit | ( | void |  | ) | const

Definition at line 1469 of file Image.cpp.

## ◆ strokePattern() [1/2]

void Magick::Image::strokePattern | ( | const Image & | strokePattern_ | ) |

Definition at line 1474 of file Image.cpp.

References constImage(), and isValid().

Referenced by strokePattern().

## ◆ strokePattern() [2/2]

Magick::Image Magick::Image::strokePattern | ( | void |  | ) | const

Definition at line 1483 of file Image.cpp.

References GetPPException, Magick::Image, replaceImage(), strokePattern(), and ThrowImageException.

## ◆ strokeWidth() [1/2]

void Magick::Image::strokeWidth | ( | const double | strokeWidth_ | ) |

Definition at line 1507 of file Image.cpp.

Referenced by main().

## ◆ strokeWidth() [2/2]

double Magick::Image::strokeWidth | ( | void |  | ) | const

Definition at line 1518 of file Image.cpp.

## ◆ subImage() [1/2]

void Magick::Image::subImage | ( | const size_t | subImage_ | ) |

Definition at line 1523 of file Image.cpp.

Referenced by Magick::subImageImage::operator()().

## ◆ subImage() [2/2]

size_t Magick::Image::subImage | ( | void |  | ) | const

Definition at line 1529 of file Image.cpp.

## ◆ subImageSearch()

Magick::Image Magick::Image::subImageSearch | ( | const Image & | reference_,
|  | const MetricType | metric_,
|  | Geometry * | offset_,
|  | double * | similarityMetric_,
|  | const double | similarityThreshold = `(-1.0)`
| ) |  |

Definition at line 4601 of file Image.cpp.

References constImage(), GetPPException, Magick::Image, and ThrowImageException.

## ◆ subRange() [1/2]

void Magick::Image::subRange | ( | const size_t | subRange_ | ) |

Definition at line 1534 of file Image.cpp.

Referenced by Magick::subRangeImage::operator()().

## ◆ subRange() [2/2]

size_t Magick::Image::subRange | ( | void |  | ) | const

Definition at line 1540 of file Image.cpp.

## ◆ swirl()

void Magick::Image::swirl | ( | const double | degrees_ | ) |

Definition at line 4623 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::swirlImage::operator()().

## ◆ syncPixels()

void Magick::Image::syncPixels | ( | void |  | ) |

Definition at line 4635 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ textAntiAlias() [1/2]

void Magick::Image::textAntiAlias | ( | const bool | flag_ | ) |

Definition at line 1545 of file Image.cpp.

Referenced by Magick::textAntiAliasImage::operator()().

## ◆ textAntiAlias() [2/2]

bool Magick::Image::textAntiAlias | ( | void |  | ) | const

Definition at line 1551 of file Image.cpp.

## ◆ textDirection() [1/2]

void Magick::Image::textDirection | ( | DirectionType | direction_ | ) |

Definition at line 1556 of file Image.cpp.

## ◆ textDirection() [2/2]

Magick::DirectionType Magick::Image::textDirection | ( | void |  | ) | const

Definition at line 1562 of file Image.cpp.

## ◆ textEncoding() [1/2]

void Magick::Image::textEncoding | ( | const std::string & | encoding_ | ) |

Definition at line 1567 of file Image.cpp.

## ◆ textEncoding() [2/2]

std::string Magick::Image::textEncoding | ( | void |  | ) | const

Definition at line 1573 of file Image.cpp.

## ◆ textGravity() [1/2]

void Magick::Image::textGravity | ( | GravityType | gravity_ | ) |

Definition at line 1578 of file Image.cpp.

## ◆ textGravity() [2/2]

Magick::GravityType Magick::Image::textGravity | ( | void |  | ) | const

Definition at line 1584 of file Image.cpp.

## ◆ textInterlineSpacing() [1/2]

void Magick::Image::textInterlineSpacing | ( | double | spacing_ | ) |

Definition at line 1589 of file Image.cpp.

## ◆ textInterlineSpacing() [2/2]

double Magick::Image::textInterlineSpacing | ( | void |  | ) | const

Definition at line 1595 of file Image.cpp.

## ◆ textInterwordSpacing() [1/2]

void Magick::Image::textInterwordSpacing | ( | double | spacing_ | ) |

Definition at line 1600 of file Image.cpp.

## ◆ textInterwordSpacing() [2/2]

double Magick::Image::textInterwordSpacing | ( | void |  | ) | const

Definition at line 1606 of file Image.cpp.

## ◆ textKerning() [1/2]

void Magick::Image::textKerning | ( | double | kerning_ | ) |

Definition at line 1611 of file Image.cpp.

## ◆ textKerning() [2/2]

double Magick::Image::textKerning | ( | void |  | ) | const

Definition at line 1617 of file Image.cpp.

## ◆ textUnderColor() [1/2]

void Magick::Image::textUnderColor | ( | const Color & | underColor_ | ) |

Definition at line 1622 of file Image.cpp.

## ◆ textUnderColor() [2/2]

Magick::Color Magick::Image::textUnderColor | ( | void |  | ) | const

Definition at line 1628 of file Image.cpp.

## ◆ texture()

void Magick::Image::texture | ( | const Image & | texture_ | ) |

Definition at line 4642 of file Image.cpp.

References constImage(), GetPPException, and ThrowImageException.

Referenced by main(), and Magick::textureImage::operator()().

## ◆ threshold()

void Magick::Image::threshold | ( | const double | threshold_ | ) |

Definition at line 4650 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by main(), and Magick::thresholdImage::operator()().

## ◆ thumbnail()

void Magick::Image::thumbnail | ( | const Geometry & | geometry_ | ) |

Definition at line 4658 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ tint()

void Magick::Image::tint | ( | const std::string | opacity_ | ) |

Definition at line 4680 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ totalColors()

size_t Magick::Image::totalColors | ( | void |  | ) | const

Definition at line 1633 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ transformOrigin()

void Magick::Image::transformOrigin | ( | const double | x_,
|  | const double | y_
| ) |  |

Definition at line 4695 of file Image.cpp.

## ◆ transformReset()

void Magick::Image::transformReset | ( | void |  | ) |

Definition at line 4701 of file Image.cpp.

## ◆ transformRotation()

void Magick::Image::transformRotation | ( | const double | angle_ | ) |

Definition at line 1644 of file Image.cpp.

## ◆ transformScale()

void Magick::Image::transformScale | ( | const double | sx_,
|  | const double | sy_
| ) |  |

Definition at line 4707 of file Image.cpp.

## ◆ transformSkewX()

void Magick::Image::transformSkewX | ( | const double | skewx_ | ) |

Definition at line 1650 of file Image.cpp.

## ◆ transformSkewY()

void Magick::Image::transformSkewY | ( | const double | skewy_ | ) |

Definition at line 1656 of file Image.cpp.

## ◆ transparent()

void Magick::Image::transparent | ( | const Color & | color_,
|  | const bool | inverse_ = `false`
| ) |  |

Definition at line 4713 of file Image.cpp.

References GetPPException, Magick::Color::isValid(), Magick::throwExceptionExplicit(), and ThrowImageException.

Referenced by main(), and Magick::transparentImage::operator()().

## ◆ transparentChroma()

void Magick::Image::transparentChroma | ( | const Color & | colorLow_,
|  | const Color & | colorHigh_
| ) |  |

Definition at line 4735 of file Image.cpp.

References GetPPException, Magick::Color::isValid(), Magick::throwExceptionExplicit(), and ThrowImageException.

## ◆ transpose()

void Magick::Image::transpose | ( | void |  | ) |

Definition at line 4764 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ transverse()

void Magick::Image::transverse | ( | void |  | ) |

Definition at line 4775 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ trim()

void Magick::Image::trim | ( | void |  | ) |

Definition at line 4786 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::trimImage::operator()().

## ◆ type() [1/2]

void Magick::Image::type | ( | const ImageType | type_ | ) |

Definition at line 1669 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by Magick::typeImage::operator()().

## ◆ type() [2/2]

Magick::ImageType Magick::Image::type | ( | void |  | ) | const

Definition at line 1662 of file Image.cpp.

## ◆ uniqueColors()

Magick::Image Magick::Image::uniqueColors | ( | void |  | ) | const

Definition at line 4797 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ unsharpmask()

void Magick::Image::unsharpmask | ( | const double | radius_,
|  | const double | sigma_,
|  | const double | amount_,
|  | const double | threshold_
| ) |  |

Definition at line 4811 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main().

## ◆ unsharpmaskChannel()

void Magick::Image::unsharpmaskChannel | ( | const ChannelType | channel_,
|  | const double | radius_,
|  | const double | sigma_,
|  | const double | amount_,
|  | const double | threshold_
| ) |  |

Definition at line 4824 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, Magick::Image, RestorePPChannelMask, and ThrowImageException.

## ◆ verbose() [1/2]

void Magick::Image::verbose | ( | const bool | verboseFlag_ | ) |

Definition at line 1678 of file Image.cpp.

Referenced by Magick::verboseImage::operator()().

## ◆ verbose() [2/2]

bool Magick::Image::verbose | ( | void |  | ) | const

Definition at line 1684 of file Image.cpp.

## ◆ vignette()

void Magick::Image::vignette | ( | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`,
|  | const ssize_t | x_ = `0`,
|  | const ssize_t | y_ = `0`
| ) |  |

Definition at line 4840 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ virtualPixelMethod() [1/2]

void Magick::Image::virtualPixelMethod | ( | const VirtualPixelMethod | virtualPixelMethod_ | ) |

Definition at line 1689 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ virtualPixelMethod() [2/2]

Magick::VirtualPixelMethod Magick::Image::virtualPixelMethod | ( | void |  | ) | const

Definition at line 1698 of file Image.cpp.

## ◆ wave()

void Magick::Image::wave | ( | const double | amplitude_ = `25.0`,
|  | const double | wavelength_ = `150.0`
| ) |  |

Definition at line 4852 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::waveImage::operator()().

## ◆ waveletDenoise()

void Magick::Image::waveletDenoise | ( | const double | threshold_,
|  | const double | softness_
| ) |  |

Definition at line 4864 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

## ◆ whiteThreshold()

void Magick::Image::whiteThreshold | ( | const std::string & | threshold_ | ) |

Definition at line 4877 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ whiteThresholdChannel()

void Magick::Image::whiteThresholdChannel | ( | const ChannelType | channel_,
|  | const std::string & | threshold_
| ) |  |

Definition at line 4885 of file Image.cpp.

References GetAndSetPPChannelMask, GetPPException, RestorePPChannelMask, and ThrowImageException.

## ◆ write() [1/5]

void Magick::Image::write | ( | Blob * | blob_ | ) |

Definition at line 4896 of file Image.cpp.

References GetPPException, Magick::Blob::MallocAllocator, ThrowImageException, and Magick::Blob::updateNoCopy().

Referenced by main().

## ◆ write() [2/5]

void Magick::Image::write | ( | Blob * | blob_,
|  | const std::string & | magick_
| ) |  |

Definition at line 4914 of file Image.cpp.

References GetPPException, Magick::Blob::MallocAllocator, ThrowImageException, and Magick::Blob::updateNoCopy().

## ◆ write() [3/5]

void Magick::Image::write | ( | Blob * | blob_,
|  | const std::string & | magick_,
|  | const size_t | depth_
| ) |  |

Definition at line 4933 of file Image.cpp.

References GetPPException, Magick::Blob::MallocAllocator, ThrowImageException, and Magick::Blob::updateNoCopy().

## ◆ write() [4/5]

void Magick::Image::write | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const size_t | columns_,
|  | const size_t | rows_,
|  | const std::string & | map_,
|  | const StorageType | type_,
|  | void * | pixels_
| ) |  |

## ◆ write() [5/5]

void Magick::Image::write | ( | const std::string & | imageSpec_ | ) |

Definition at line 4964 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ writeMask() [1/2]

void Magick::Image::writeMask | ( | const Image & | mask_ | ) |

Definition at line 4973 of file Image.cpp.

## ◆ writeMask() [2/2]

Magick::Image Magick::Image::writeMask | ( | void |  | ) | const

Definition at line 4978 of file Image.cpp.

## ◆ writePixels()

void Magick::Image::writePixels | ( | const QuantumType | quantum_,
|  | unsigned char * | destination_
| ) |  |

Definition at line 4983 of file Image.cpp.

References GetPPException, and ThrowImageException.

## ◆ x11Display() [1/2]

void Magick::Image::x11Display | ( | const std::string & | display_ | ) |

Definition at line 1703 of file Image.cpp.

Referenced by Magick::x11DisplayImage::operator()().

## ◆ x11Display() [2/2]

std::string Magick::Image::x11Display | ( | void |  | ) | const

Definition at line 1709 of file Image.cpp.

## ◆ xResolution()

double Magick::Image::xResolution | ( | void |  | ) | const

Definition at line 1714 of file Image.cpp.

## ◆ yResolution()

double Magick::Image::yResolution | ( | void |  | ) | const

Definition at line 1719 of file Image.cpp.

## ◆ zoom()

void Magick::Image::zoom | ( | const Geometry & | geometry_ | ) |

Definition at line 4997 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::zoomImage::operator()().

The documentation for this class was generated from the following files:

- Image.h
- Image.cpp